profile
viewpoint
WalkerSumida walkersumida @imptn Tokyo, Japan

walkersumida/nuxtjs-sample 22

Nuxtjs sample! Typescript + Vuetify + Jest! (rails api server: https://github.com/walkersumida/rails-api-for-front)

walkersumida/dynamodb-api 14

DynamoDB API wrapper gem. like SQL and simply.

walkersumida/rails-api-for-front 10

Rails API for Frontend sample app samples(https://github.com/walkersumida/nuxtjs-sample, https://github.com/walkersumida/flutter_sample)

walkersumida/flutter_sample 2

Flutter sample! (rails api server: https://github.com/walkersumida/rails-api-for-front)

walkersumida/lambda-trello-slack-notice 1

Notify slack of specific trello cards (e.g. Plz review these cards!)

walkersumida/ag-grid 0

Advanced Data Grid / Data Table supporting Javascript / React / AngularJS / Web Components

walkersumida/angularjs-examples 0

AngularJS Examples

PR closed googleapis/google-api-ruby-client

feat: Automated regeneration of retail v2beta client cla: yes

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-10 03:11:09,301 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-retail-v2beta
nothing to commit, working tree clean
2021-01-10 03:11:09,423 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth retail v2beta
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth retail v2beta
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Installing concurrent-ruby 1.1.7
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching minitest 5.14.3
Installing minitest 5.14.3
Fetching tzinfo 2.0.4
Installing tzinfo 2.0.4
Fetching zeitwerk 2.4.2
Installing zeitwerk 2.4.2
Fetching activesupport 6.1.1
Installing activesupport 6.1.1
Fetching public_suffix 4.0.6
Installing public_suffix 4.0.6
Fetching addressable 2.7.0
Installing addressable 2.7.0
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.1.4
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.4
Installing docile 1.3.4
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Using sync 0.5.0
Fetching tins 1.26.0
Installing tins 1.26.0
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching rexml 3.2.4
Installing rexml 3.2.4
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching declarative 0.0.20
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Installing declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Installing fakefs 0.20.1
Fetching faraday-net_http 1.0.0
Installing faraday-net_http 1.0.0
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching faraday 1.3.0
Installing faraday 1.3.0
Fetching gems 1.2.0
Installing gems 1.2.0
Fetching github-markup 1.7.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Fetching httpclient 2.8.3
Installing httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing mini_mime 1.0.2
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Installing mime-types-data 3.2020.1104
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching multi_xml 0.6.0
Installing multi_xml 0.6.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching rspec-core 3.10.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching json_spec 1.1.5
Installing json_spec 1.1.5
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching opencensus 0.5.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching parser 2.7.2.0
Installing parser 2.7.2.0
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching yard 0.9.26
Installing yard 0.9.26
Fetching pry-doc 0.13.5
Installing pry-doc 0.13.5
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Fetching rubocop 0.49.1
Installing rubocop 0.49.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=retail.v2beta --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading retail, version v2beta from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/retail.v2beta.json
      create  google-apis-retail_v2beta/.rspec
      create  google-apis-retail_v2beta/.yardopts
      create  google-apis-retail_v2beta/Gemfile
      create  google-apis-retail_v2beta/google-apis-retail_v2beta.gemspec
      create  google-apis-retail_v2beta/LICENSE.md
      create  google-apis-retail_v2beta/OVERVIEW.md
      create  google-apis-retail_v2beta/Rakefile
   identical  google-apis-retail_v2beta/lib/google/apis/retail_v2beta/gem_version.rb
      create  google-apis-retail_v2beta/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 13.0.3
Installing rake 13.0.3
Using public_suffix 4.0.6
Using addressable 2.7.0
Using bundler 2.1.4
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.0
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using faraday 1.3.0
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Fetching os 1.1.1
Installing os 1.1.1
Using signet 0.14.0
Using googleauth 0.14.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using representable 3.0.4
Using retriable 3.1.2
Using rexml 3.2.4
Using google-apis-core 0.2.0
Using google-apis-retail_v2beta 0.1.0 from source at `.`
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Using yard 0.9.26
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::RetailV2beta
  should load

Finished in 0.30829 seconds (files took 0.10211 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:        84 (    0 undocumented)
Constants:       5 (    0 undocumented)
Attributes:    115 (    0 undocumented)
Methods:       185 (    0 undocumented)
 99.74% documented
google-apis-retail_v2beta 0.1.0 built to pkg/google-apis-retail_v2beta-0.1.0.gem.
    conflict  /workspace/api_names_out.yaml
Overwrite /workspace/api_names_out.yaml? (enter "h" for help) [Ynaqdhm] a
       force  /workspace/api_names_out.yaml
2021-01-10 03:11:42,159 synthtool [DEBUG] > Wrote metadata to generated/google-apis-retail_v2beta/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-retail_v2beta/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/df813cdc-bd2d-49a6-b6e3-57cfad9b4026/targets

  • [ ] To automatically regenerate this PR, check this box.
+793 -0

1 comment

10 changed files

yoshi-automation

pr closed time in 6 hours

pull request commentgoogleapis/google-api-ruby-client

feat: Automated regeneration of streetviewpublish v1 client

Merge-on-green attempted to merge your PR for 6 hours, but it was not mergeable because either one of your required status checks failed, one of your required reviews was not approved, or there is a do not merge label. Learn more about your required status checks here: https://help.github.com/en/github/administering-a-repository/enabling-required-status-checks. You can remove and reapply the label to re-run the bot.

yoshi-automation

comment created time in 13 hours

pull request commentgoogleapis/google-api-ruby-client

feat: Automated regeneration of dataflow v1b3 client

Merge-on-green attempted to merge your PR for 6 hours, but it was not mergeable because either one of your required status checks failed, one of your required reviews was not approved, or there is a do not merge label. Learn more about your required status checks here: https://help.github.com/en/github/administering-a-repository/enabling-required-status-checks. You can remove and reapply the label to re-run the bot.

yoshi-automation

comment created time in 14 hours

pull request commentgoogleapis/google-api-ruby-client

feat: Automated regeneration of bigquerydatatransfer v1 client

Merge-on-green attempted to merge your PR for 6 hours, but it was not mergeable because either one of your required status checks failed, one of your required reviews was not approved, or there is a do not merge label. Learn more about your required status checks here: https://help.github.com/en/github/administering-a-repository/enabling-required-status-checks. You can remove and reapply the label to re-run the bot.

yoshi-automation

comment created time in 14 hours

Pull request review commentDynamoid/dynamoid

Update associations on object delete

 def log_message         expect { a1.destroy }.to_not raise_error       end     end++    context 'with associations' do+      let!(:user) { User.create }+      let!(:camel_case) { user.camel_case.create }+      let!(:magazine) { user.books.create }+      let!(:monthly) { user.monthly.create }+      let!(:subscription) { user.subscriptions.create }++      it 'updates belongs_to association' do+        expect do+          user.delete+        end.to change { CamelCase.find(camel_case.id).users.target }.from([user]).to([])+      end++      it 'updates has_many association' do+        expect do+          user.delete+        end.to change { Magazine.find(magazine.title).owner.target }.from(user).to(nil)+      end++      it 'updates has_one association' do+        expect do+          user.delete+        end.to change { Subscription.find(monthly.id).customer.target }.from(user).to(nil)+      end

The only way this fix could be improved is to ignore RecordNotFound errors when association is loaded and there are some broken foreign keys (what is described in the original issue https://github.com/Dynamoid/dynamoid/issues/467) . This way we would solved the problem for existing corrupted references.

But it's out of scope of this PR and it's up to you.

kkan

comment created time in 15 hours

Pull request review commentDynamoid/dynamoid

Update associations on object delete

 def declaration_field_type         :set       end +      def disassociate_source+        Array(target).each do |target_entry|+          target_entry.send(target_association).disassociate(source.hash_key) if target_entry && target_association+        end+      end

minor: As far as it's a new public method - it could be covered with unit tests as well.

kkan

comment created time in 15 hours

Pull request review commentDynamoid/dynamoid

Update associations on object delete

 def delete        @destroyed = true -      Dynamoid.adapter.delete(self.class.table_name, hash_key, options)+      Dynamoid.adapter.delete(self.class.table_name, hash_key, options).tap { update_asociations }

minor: TBH I would avoid introducing new method (update_asociations) which can conflict with user defined methods in model and would inline it into the delete method.

kkan

comment created time in 15 hours

Pull request review commentDynamoid/dynamoid

Update associations on object delete

 def delete        @destroyed = true -      Dynamoid.adapter.delete(self.class.table_name, hash_key, options)+      Dynamoid.adapter.delete(self.class.table_name, hash_key, options).tap { update_asociations }     rescue Dynamoid::Errors::ConditionalCheckFailedException       raise Dynamoid::Errors::StaleObjectError.new(self, 'delete')     end++    private++    def update_asociations+      self.class.associations.each do |name, options|+        begin+          send(name).disassociate_source+        rescue Aws::DynamoDB::Errors::ResourceNotFoundException+        end+      end+    end

minor: Wondering whether this tolerating ResourceNotFoundException exception is tested anywhere.

kkan

comment created time in 16 hours

Pull request review commentDynamoid/dynamoid

Update associations on object delete

 def delete        @destroyed = true -      Dynamoid.adapter.delete(self.class.table_name, hash_key, options)+      Dynamoid.adapter.delete(self.class.table_name, hash_key, options).tap { update_asociations }     rescue Dynamoid::Errors::ConditionalCheckFailedException       raise Dynamoid::Errors::StaleObjectError.new(self, 'delete')     end++    private++    def update_asociations
    def update_associations
kkan

comment created time in 16 hours

Pull request review commentDynamoid/dynamoid

Update associations on object delete

 def log_message         expect { a1.destroy }.to_not raise_error       end     end++    context 'with associations' do+      let!(:user) { User.create }+      let!(:camel_case) { user.camel_case.create }+      let!(:magazine) { user.books.create }+      let!(:monthly) { user.monthly.create }+      let!(:subscription) { user.subscriptions.create }++      it 'updates belongs_to association' do+        expect do+          user.delete+        end.to change { CamelCase.find(camel_case.id).users.target }.from([user]).to([])+      end++      it 'updates has_many association' do+        expect do+          user.delete+        end.to change { Magazine.find(magazine.title).owner.target }.from(user).to(nil)+      end++      it 'updates has_one association' do+        expect do+          user.delete+        end.to change { Subscription.find(monthly.id).customer.target }.from(user).to(nil)+      end++      it 'updates has_and_belongs_to_many association' do+        expect do+          user.delete+        end.to change { Subscription.find(subscription.id).users.target }.from([user]).to([])+      end+    end

minor: I think that destroy method should be tested as well, as far as potentially destroy and delete could have completely separate implementations.

kkan

comment created time in 16 hours

push eventgoogleapis/google-api-ruby-client

Omar R

commit sha 1bc1737dc11b2a430d1c9d8d848f26b7bc1ca1c1

chore: Fix README.md links for directory reorganization

view details

Daniel Azuma

commit sha a6a5b6071e6dc915a06d58524ce0c8d6f7db3598

chore: Split google-apis-core into a separate gem (#2134)

view details

Daniel Azuma

commit sha 6b972afb60e6be2f8bc5b26f72800fdf522d28a4

chore: Generator creates separate libraries (#2136)

view details

Daniel Azuma

commit sha c4230bb28783c84acf3065a10c4da174361d8bba

chore: Updates to core for initial release (#2137)

view details

Daniel Azuma

commit sha 146c765e044353d00ceb3564d8ba8e947014c5af

chore: Cleanup of separate library generation (#2138)

view details

Daniel Azuma

commit sha 388cc7b0a83a1bd752bf29f1129c5b0aa0daab62

chore: Initial generation of separate libraries (#2139)

view details

Yoshi Automation Bot

commit sha d2ed72fb53c1dba1ce6a1bf1d2c578aa79f5102a

chore: Create synth.metadata for metastore v1alpha client (#2140)

view details

Daniel Azuma

commit sha 1e2aeaeeebc48df2412096a12d32841740789ea8

chore: Update generator to set client version for headers (#2141)

view details

Daniel Azuma

commit sha abb3c968fecb1d62384b75811f20a703bcacd1e7

feat(core): Munge reported client version so backends can recognize split clients

view details

Daniel Azuma

commit sha 1cc46b843e87d7ce45c8e150598a8d6acd1cdb1c

chore: Extract generator into google-apis-generator gem (#2143)

view details

Daniel Azuma

commit sha be13e0c381f4138c6570cae136e5bb4270454579

chore: Set yardoc titles (#2144)

view details

Daniel Azuma

commit sha bd10c4b2f0a665390dec228ad754d5340f12f2ef

chore: Update releaser to handle multiple static and generated gems (#2145)

view details

Daniel Azuma

commit sha 4a8803cb227be9cdbbd651951f9a97edc7180610

chore: Rename kokoro release jobs to reduce logic (#2147)

view details

Daniel Azuma

commit sha 25546fd45bf97622b1dfbaf0b562ee8ed941c18f

fix(generator): Fix charset used in file comparison

view details

Daniel Azuma

commit sha 26a777091646be85857ee8f32d6222796982c052

chore: Move synth.metadata files to new locations

view details

Yoshi Automation Bot

commit sha 85563df3b2a6428dee444753fb1ddfb71dbdb486

feat: Automated regeneration of bigqueryreservation v1alpha2 client (#2209)

view details

Daniel Azuma

commit sha dc32a62280961a3c101bf8c5a92a37f54ab5c4b9

chore: Update release-please jobs to reference separate gems (#2146)

view details

yoshi-code-bot

commit sha d6d481ec51163a996899be46c9f475e50ebd17ba

chore: release google-apis-generator 0.1.1 (#2217)

view details

Daniel Azuma

commit sha 4c9181f8ddfc49496c1ca6c2880f580e57aa4136

chore: Attempt to fix the releaser (#2218)

view details

Daniel Azuma

commit sha b56bfff57d5a55a3cce2f3726fbc76cd6f5b7c16

chore: Another attempt to fix the releaser (#2220)

view details

push time in 19 hours

PR opened googleapis/google-api-ruby-client

feat: Automated regeneration of streetviewpublish v1 client

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-16 03:27:17,537 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-streetviewpublish-v1
nothing to commit, working tree clean
2021-01-16 03:27:17,612 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth streetviewpublish v1
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth streetviewpublish v1
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Fetching zeitwerk 2.4.2
Fetching minitest 5.14.3
Fetching public_suffix 4.0.6
Installing zeitwerk 2.4.2
Installing minitest 5.14.3
Installing public_suffix 4.0.6
Installing concurrent-ruby 1.1.7
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.2.5
Fetching byebug 11.1.3
Fetching coderay 1.1.3
Installing byebug 11.1.3 with native extensions
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Using sync 0.5.0
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching rexml 3.2.4
Fetching declarative 0.0.20
Installing rexml 3.2.4
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing declarative-option 0.1.0
Installing diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing faraday-net_http 1.0.1
Installing fakefs 0.20.1
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching gems 1.2.0
Fetching github-markup 1.7.0
Installing gems 1.2.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Fetching multi_json 1.15.0
Installing memoist 0.16.2
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing httpclient 2.8.3
Installing mini_mime 1.0.2
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Installing mime-types-data 3.2020.1104
Fetching multi_xml 0.6.0
Fetching rspec-support 3.10.1
Installing multi_xml 0.6.0
Installing rspec-support 3.10.1
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching opencensus 0.5.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Fetching powerpack 0.1.3
Installing parallel 1.20.1
Installing powerpack 0.1.3
Fetching yard 0.9.26
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Installing yard 0.9.26
Fetching redcarpet 3.5.1
Fetching redis 3.3.5
Installing redcarpet 3.5.1 with native extensions
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Fetching parser 2.7.2.0
Fetching addressable 2.7.0
Installing addressable 2.7.0
Installing parser 2.7.2.0
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching tzinfo 2.0.4
Fetching tins 1.28.0
Installing tzinfo 2.0.4
Installing tins 1.28.0
Fetching crack 0.4.5
Fetching faraday 1.3.0
Installing crack 0.4.5
Installing faraday 1.3.0
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching logging 2.3.0
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Installing logging 2.3.0
Fetching rspec-core 3.10.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching rubocop 0.49.1
Fetching activesupport 6.1.1
Installing activesupport 6.1.1
Fetching webmock 2.3.2
Installing rubocop 0.49.1
Installing webmock 2.3.2
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching pry-doc 0.13.5
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Fetching json_spec 1.1.5
Installing json_spec 1.1.5
Installing pry-doc 0.13.5
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=streetviewpublish.v1 --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading streetviewpublish, version v1 from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/streetviewpublish.v1.json
    conflict  google-apis-streetviewpublish_v1/lib/google/apis/streetviewpublish_v1/classes.rb
<lish_v1/classes.rb? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-streetviewpublish_v1/lib/google/apis/streetviewpublish_v1/classes.rb
    conflict  google-apis-streetviewpublish_v1/lib/google/apis/streetviewpublish_v1/service.rb
       force  google-apis-streetviewpublish_v1/lib/google/apis/streetviewpublish_v1/service.rb
    conflict  google-apis-streetviewpublish_v1/lib/google/apis/streetviewpublish_v1/gem_version.rb
       force  google-apis-streetviewpublish_v1/lib/google/apis/streetviewpublish_v1/gem_version.rb
    conflict  google-apis-streetviewpublish_v1/CHANGELOG.md
       force  google-apis-streetviewpublish_v1/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Using rake 13.0.3
Using public_suffix 4.0.6
Using bundler 2.2.5
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using retriable 3.1.2
Using rexml 3.2.4
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using yard 0.9.26
Using addressable 2.7.0
Using faraday 1.3.0
Using representable 3.0.4
Using signet 0.14.0
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Fetching os 1.1.1
Using rspec 3.10.0
Installing os 1.1.1
Using googleauth 0.14.0
Using google-apis-core 0.2.0
Using google-apis-streetviewpublish_v1 0.2.0 from source at `.`
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::StreetviewpublishV1
  should load

Finished in 0.31308 seconds (files took 0.09778 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:        20 (    0 undocumented)
Constants:       5 (    0 undocumented)
Attributes:     45 (    0 undocumented)
Methods:        48 (    0 undocumented)
 99.17% documented
google-apis-streetviewpublish_v1 0.2.0 built to pkg/google-apis-streetviewpublish_v1-0.2.0.gem.
   identical  /workspace/api_names_out.yaml
2021-01-16 03:27:46,248 synthtool [DEBUG] > Wrote metadata to generated/google-apis-streetviewpublish_v1/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-streetviewpublish_v1/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/53fa8810-2bed-4391-8ef4-2a135fa5f10f/targets

  • [ ] To automatically regenerate this PR, check this box.
+11 -7

0 comment

5 changed files

pr created time in 19 hours

issue commentgoogleapis/google-api-ruby-client

Synthesis failed for gmailpostmastertools-v1

Autosynth is still having trouble generating gmailpostmastertools-v1. :sob:

Here's the output from running synth.py:

nied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/CloudRun.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Pubsub.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/GoogleLongrunningListOperationsResponse.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/OperationMetadata.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Destination.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/GoogleLongrunningCancelOperationRequest.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Location.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Trigger.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/SetIamPolicyRequest.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Policy.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/GoogleLongrunningOperation.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Binding.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Empty.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/AuditLogConfig.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/TestIamPermissionsRequest.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/file.LICENSE.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/method_list.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/objects/root.dat: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/complete: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/object_types: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/checksums: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/proxy_types: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/pkg/google-apis-eventarc_v1-0.1.0.gem: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/lib/google-apis-gmailpostmastertools_v1.rb: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/lib/google/apis/gmailpostmastertools_v1/representations.rb: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/lib/google/apis/gmailpostmastertools_v1/classes.rb: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/lib/google/apis/gmailpostmastertools_v1/service.rb: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/lib/google/apis/gmailpostmastertools_v1/gem_version.rb: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/lib/google/apis/gmailpostmastertools_v1.rb: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/Gemfile.lock: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/CHANGELOG.md: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/Rakefile: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/Gemfile: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/_index.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/file_list.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/class_list.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/js/full_list.js: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/js/app.js: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/js/jquery.js: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/top-level-namespace.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/file.OVERVIEW.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/file.CHANGELOG.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/index.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/css/common.css: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/css/full_list.css: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/css/style.css: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/frames.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/ListDomainsResponse.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/TrafficStats.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/ListTrafficStatsResponse.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/DeliveryError.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/Domain.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/IpReputation.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/PostmasterToolsService.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/Google/Apis/GmailpostmastertoolsV1/FeedbackLoop.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/file.LICENSE.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/doc/method_list.html: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/.yardoc/objects/root.dat: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/.yardoc/complete: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/.yardoc/object_types: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/.yardoc/checksums: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/.yardoc/proxy_types: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/.yardopts: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/LICENSE.md: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/.rspec: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/OVERVIEW.md: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/google-apis-gmailpostmastertools_v1.gemspec: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/spec/generated_spec.rb: Permission denied
warning: failed to remove generated/google-apis-gmailpostmastertools_v1/pkg/google-apis-gmailpostmastertools_v1-0.1.0.gem: Permission denied
Removing __pycache__/
Removing google-apis-generator/Gemfile.lock
Traceback (most recent call last):
  File "/home/kbuilder/.pyenv/versions/3.6.9/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/home/kbuilder/.pyenv/versions/3.6.9/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/tmpfs/src/github/synthtool/autosynth/synth.py", line 354, in <module>
    main()
  File "/tmpfs/src/github/synthtool/autosynth/synth.py", line 189, in main
    return _inner_main(temp_dir)
  File "/tmpfs/src/github/synthtool/autosynth/synth.py", line 291, in _inner_main
    ).synthesize(synth_log_path / "sponge_log.log")
  File "/tmpfs/src/github/synthtool/autosynth/synthesizer.py", line 120, in synthesize
    synth_proc.check_returncode()  # Raise an exception.
  File "/home/kbuilder/.pyenv/versions/3.6.9/lib/python3.6/subprocess.py", line 389, in check_returncode
    self.stderr)
subprocess.CalledProcessError: Command '['/tmpfs/src/github/synthtool/env/bin/python3', '-m', 'synthtool', '--metadata', 'generated/google-apis-gmailpostmastertools_v1/synth.metadata', 'synth.py', '--', 'gmailpostmastertools', 'v1']' returned non-zero exit status 1.

Google internal developers can see the full log here.

yoshi-automation

comment created time in 19 hours

issue commentgoogleapis/google-api-ruby-client

Synthesis failed for eventarc-v1

Autosynth is still having trouble generating eventarc-v1. :sob:

Here's the output from running synth.py:

_v1b3/doc/Google/Apis/DataflowV1b3/SdkVersion.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/HotKeyDetection.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/BigTableIoDetails.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/SendWorkerMessagesRequest.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/Environment.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/StreamingComputationTask.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/LaunchFlexTemplateResponse.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/CounterStructuredName.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/SourceOperationResponse.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/Google/Apis/DataflowV1b3/LeaseWorkItemRequest.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/file.LICENSE.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/doc/method_list.html: Permission denied
warning: failed to remove generated/google-apis-dataflow_v1b3/pkg/google-apis-dataflow_v1b3-0.2.0.gem: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/lib/google-apis-eventarc_v1.rb: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/lib/google/apis/eventarc_v1.rb: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/lib/google/apis/eventarc_v1/representations.rb: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/lib/google/apis/eventarc_v1/classes.rb: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/lib/google/apis/eventarc_v1/service.rb: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/lib/google/apis/eventarc_v1/gem_version.rb: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/Gemfile.lock: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/CHANGELOG.md: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/Rakefile: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/Gemfile: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/_index.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/file_list.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/class_list.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/js/full_list.js: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/js/app.js: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/js/jquery.js: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/top-level-namespace.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/file.OVERVIEW.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/file.CHANGELOG.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/index.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/css/common.css: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/css/full_list.css: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/css/style.css: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/frames.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/EventarcService.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Expr.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/ListTriggersResponse.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/ListLocationsResponse.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/EventFilter.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/TestIamPermissionsResponse.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/AuditConfig.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/GoogleRpcStatus.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Transport.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/CloudRun.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Pubsub.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/GoogleLongrunningListOperationsResponse.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/OperationMetadata.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Destination.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/GoogleLongrunningCancelOperationRequest.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Location.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Trigger.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/SetIamPolicyRequest.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Policy.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/GoogleLongrunningOperation.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Binding.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/Empty.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/AuditLogConfig.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1/TestIamPermissionsRequest.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/Google/Apis/EventarcV1.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/file.LICENSE.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/doc/method_list.html: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/objects/root.dat: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/complete: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/object_types: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/checksums: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardoc/proxy_types: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.yardopts: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/LICENSE.md: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/.rspec: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/OVERVIEW.md: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/spec/generated_spec.rb: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/pkg/google-apis-eventarc_v1-0.1.0.gem: Permission denied
warning: failed to remove generated/google-apis-eventarc_v1/google-apis-eventarc_v1.gemspec: Permission denied
Removing __pycache__/
Removing google-apis-generator/Gemfile.lock
Traceback (most recent call last):
  File "/home/kbuilder/.pyenv/versions/3.6.9/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/home/kbuilder/.pyenv/versions/3.6.9/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/tmpfs/src/github/synthtool/autosynth/synth.py", line 354, in <module>
    main()
  File "/tmpfs/src/github/synthtool/autosynth/synth.py", line 189, in main
    return _inner_main(temp_dir)
  File "/tmpfs/src/github/synthtool/autosynth/synth.py", line 291, in _inner_main
    ).synthesize(synth_log_path / "sponge_log.log")
  File "/tmpfs/src/github/synthtool/autosynth/synthesizer.py", line 120, in synthesize
    synth_proc.check_returncode()  # Raise an exception.
  File "/home/kbuilder/.pyenv/versions/3.6.9/lib/python3.6/subprocess.py", line 389, in check_returncode
    self.stderr)
subprocess.CalledProcessError: Command '['/tmpfs/src/github/synthtool/env/bin/python3', '-m', 'synthtool', '--metadata', 'generated/google-apis-eventarc_v1/synth.metadata', 'synth.py', '--', 'eventarc', 'v1']' returned non-zero exit status 1.

Google internal developers can see the full log here.

yoshi-automation

comment created time in 20 hours

push eventgoogleapis/google-api-ruby-client

Daniel Azuma

commit sha 25546fd45bf97622b1dfbaf0b562ee8ed941c18f

fix(generator): Fix charset used in file comparison

view details

Daniel Azuma

commit sha 26a777091646be85857ee8f32d6222796982c052

chore: Move synth.metadata files to new locations

view details

Yoshi Automation Bot

commit sha 85563df3b2a6428dee444753fb1ddfb71dbdb486

feat: Automated regeneration of bigqueryreservation v1alpha2 client (#2209)

view details

Daniel Azuma

commit sha dc32a62280961a3c101bf8c5a92a37f54ab5c4b9

chore: Update release-please jobs to reference separate gems (#2146)

view details

yoshi-code-bot

commit sha d6d481ec51163a996899be46c9f475e50ebd17ba

chore: release google-apis-generator 0.1.1 (#2217)

view details

Daniel Azuma

commit sha 4c9181f8ddfc49496c1ca6c2880f580e57aa4136

chore: Attempt to fix the releaser (#2218)

view details

Daniel Azuma

commit sha b56bfff57d5a55a3cce2f3726fbc76cd6f5b7c16

chore: Another attempt to fix the releaser (#2220)

view details

yoshi-code-bot

commit sha 6de8b4ee653db67c0e789203767a89b32fcf8a51

chore: release google-apis-core 0.2.0 (#2216)

view details

Yoshi Automation Bot

commit sha abc95c5941bec27a455222e3b01ab81d5a3f346c

feat: Automated regeneration of admob v1 client (#2224)

view details

Yoshi Automation Bot

commit sha 56d9d9b47346733db5a35ae03228b06b901ef1b7

feat: Automated regeneration of admin datatransfer_v1 client (#2222)

view details

Yoshi Automation Bot

commit sha dffa55cd38f80c8fe576d33fadd9f4d84e97fa36

feat: Automated regeneration of admin directory_v1 client (#2223)

view details

Yoshi Automation Bot

commit sha eecea98c29dc5869ac6c2ef14309b12d6207b78b

feat: Automated regeneration of admob v1beta client (#2225)

view details

Yoshi Automation Bot

commit sha bccaec355abeb3bb77a8611f860b2c5231f6a20c

feat: Automated regeneration of youtube v3 client (#2248)

view details

Yoshi Automation Bot

commit sha 10b5fab83c369bc7a7ed2b8631ac48fd634c586f

feat: Automated regeneration of workflowexecutions v1beta client (#2247)

view details

Yoshi Automation Bot

commit sha ce7dbf3b551d2e69a06d234238acf5d689db1d9a

feat: Automated regeneration of servicenetworking v1beta client (#2246)

view details

Yoshi Automation Bot

commit sha 4c0a8b5682b0c1fac5ab33c57b9deaab55402b7d

feat: Automated regeneration of servicenetworking v1 client (#2245)

view details

Yoshi Automation Bot

commit sha a661f6f907b9bffa160230e58b245931ca03cac9

feat: Automated regeneration of securitycenter v1beta2 client (#2244)

view details

Yoshi Automation Bot

commit sha fd0c5c2d419308685cc0f8a7371e41e3c052487f

feat: Automated regeneration of securitycenter v1beta1 client (#2243)

view details

Yoshi Automation Bot

commit sha 03137b238b82a543f1f198056e10b0c963550191

feat: Automated regeneration of alertcenter v1beta1 client (#2226)

view details

Yoshi Automation Bot

commit sha 1be0a4ea25d6936e5a85cae1aaa85b474066dda2

feat: Automated regeneration of analyticsdata v1alpha client (#2227)

view details

push time in 20 hours

PR opened googleapis/google-api-ruby-client

feat: Automated regeneration of dataflow v1b3 client

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-16 02:11:50,592 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-dataflow-v1b3
nothing to commit, working tree clean
2021-01-16 02:11:50,665 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth dataflow v1b3
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth dataflow v1b3
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching minitest 5.14.3
Fetching concurrent-ruby 1.1.7
Fetching zeitwerk 2.4.2
Fetching public_suffix 4.0.6
Installing minitest 5.14.3
Installing public_suffix 4.0.6
Installing zeitwerk 2.4.2
Installing concurrent-ruby 1.1.7
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.2.5
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Using sync 0.5.0
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching rexml 3.2.4
Installing rexml 3.2.4
Fetching declarative 0.0.20
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Installing declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing diff-lcs 1.4.4
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing fakefs 0.20.1
Installing faraday-net_http 1.0.1
Fetching multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing multipart-post 2.1.1
Installing ruby2_keywords 0.0.2
Fetching gems 1.2.0
Fetching github-markup 1.7.0
Installing gems 1.2.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing mini_mime 1.0.2
Installing httpclient 2.8.3
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching mime-types-data 3.2020.1104
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching multi_xml 0.6.0
Installing mime-types-data 3.2020.1104
Installing multi_xml 0.6.0
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching method_source 1.0.0
Fetching opencensus 0.5.0
Installing method_source 1.0.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching yard 0.9.26
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Installing yard 0.9.26
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Installing ruby-progressbar 1.11.0
Fetching parser 2.7.2.0
Fetching addressable 2.7.0
Installing parser 2.7.2.0
Installing addressable 2.7.0
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching tzinfo 2.0.4
Installing tzinfo 2.0.4
Fetching tins 1.28.0
Installing tins 1.28.0
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching faraday 1.3.0
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Installing faraday 1.3.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching simplecov 0.16.1
Fetching rspec-core 3.10.1
Installing simplecov 0.16.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching launchy 2.5.0
Fetching rubocop 0.49.1
Fetching activesupport 6.1.1
Installing launchy 2.5.0
Installing activesupport 6.1.1
Installing rubocop 0.49.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching httparty 0.18.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Installing httparty 0.18.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching pry-doc 0.13.5
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching json_spec 1.1.5
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Installing json_spec 1.1.5
Installing pry-doc 0.13.5
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=dataflow.v1b3 --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading dataflow, version v1b3 from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/dataflow.v1b3.json
    conflict  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/classes.rb
<ow_v1b3/classes.rb? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/classes.rb
    conflict  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/representations.rb
       force  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/representations.rb
    conflict  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/service.rb
       force  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/service.rb
    conflict  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/gem_version.rb
       force  google-apis-dataflow_v1b3/lib/google/apis/dataflow_v1b3/gem_version.rb
    conflict  google-apis-dataflow_v1b3/CHANGELOG.md
       force  google-apis-dataflow_v1b3/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Using rake 13.0.3
Using public_suffix 4.0.6
Using bundler 2.2.5
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using retriable 3.1.2
Using rexml 3.2.4
Fetching os 1.1.1
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using yard 0.9.26
Using addressable 2.7.0
Using faraday 1.3.0
Using representable 3.0.4
Using signet 0.14.0
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Installing os 1.1.1
Using googleauth 0.14.0
Using google-apis-core 0.2.0
Using google-apis-dataflow_v1b3 0.2.0 from source at `.`
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::DataflowV1b3
  should load

Finished in 0.39755 seconds (files took 0.10715 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:       171 (    0 undocumented)
Constants:       8 (    0 undocumented)
Attributes:    449 (    0 undocumented)
Methods:       390 (    0 undocumented)
 99.90% documented
google-apis-dataflow_v1b3 0.2.0 built to pkg/google-apis-dataflow_v1b3-0.2.0.gem.
    conflict  /workspace/api_names_out.yaml
       force  /workspace/api_names_out.yaml
2021-01-16 02:12:34,414 synthtool [DEBUG] > Wrote metadata to generated/google-apis-dataflow_v1b3/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-dataflow_v1b3/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/53fa8810-2bed-4391-8ef4-2a135fa5f10f/targets

  • [ ] To automatically regenerate this PR, check this box.
+37 -11

0 comment

7 changed files

pr created time in 20 hours

push eventgoogleapis/google-api-ruby-client

Omar R

commit sha 1bc1737dc11b2a430d1c9d8d848f26b7bc1ca1c1

chore: Fix README.md links for directory reorganization

view details

Daniel Azuma

commit sha a6a5b6071e6dc915a06d58524ce0c8d6f7db3598

chore: Split google-apis-core into a separate gem (#2134)

view details

Daniel Azuma

commit sha 6b972afb60e6be2f8bc5b26f72800fdf522d28a4

chore: Generator creates separate libraries (#2136)

view details

Daniel Azuma

commit sha c4230bb28783c84acf3065a10c4da174361d8bba

chore: Updates to core for initial release (#2137)

view details

Daniel Azuma

commit sha 146c765e044353d00ceb3564d8ba8e947014c5af

chore: Cleanup of separate library generation (#2138)

view details

Daniel Azuma

commit sha 388cc7b0a83a1bd752bf29f1129c5b0aa0daab62

chore: Initial generation of separate libraries (#2139)

view details

Yoshi Automation Bot

commit sha d2ed72fb53c1dba1ce6a1bf1d2c578aa79f5102a

chore: Create synth.metadata for metastore v1alpha client (#2140)

view details

Daniel Azuma

commit sha 1e2aeaeeebc48df2412096a12d32841740789ea8

chore: Update generator to set client version for headers (#2141)

view details

Daniel Azuma

commit sha abb3c968fecb1d62384b75811f20a703bcacd1e7

feat(core): Munge reported client version so backends can recognize split clients

view details

Daniel Azuma

commit sha 1cc46b843e87d7ce45c8e150598a8d6acd1cdb1c

chore: Extract generator into google-apis-generator gem (#2143)

view details

Daniel Azuma

commit sha be13e0c381f4138c6570cae136e5bb4270454579

chore: Set yardoc titles (#2144)

view details

Daniel Azuma

commit sha bd10c4b2f0a665390dec228ad754d5340f12f2ef

chore: Update releaser to handle multiple static and generated gems (#2145)

view details

Daniel Azuma

commit sha 4a8803cb227be9cdbbd651951f9a97edc7180610

chore: Rename kokoro release jobs to reduce logic (#2147)

view details

Daniel Azuma

commit sha 25546fd45bf97622b1dfbaf0b562ee8ed941c18f

fix(generator): Fix charset used in file comparison

view details

Daniel Azuma

commit sha 26a777091646be85857ee8f32d6222796982c052

chore: Move synth.metadata files to new locations

view details

Yoshi Automation Bot

commit sha 85563df3b2a6428dee444753fb1ddfb71dbdb486

feat: Automated regeneration of bigqueryreservation v1alpha2 client (#2209)

view details

Daniel Azuma

commit sha dc32a62280961a3c101bf8c5a92a37f54ab5c4b9

chore: Update release-please jobs to reference separate gems (#2146)

view details

yoshi-code-bot

commit sha d6d481ec51163a996899be46c9f475e50ebd17ba

chore: release google-apis-generator 0.1.1 (#2217)

view details

Daniel Azuma

commit sha 4c9181f8ddfc49496c1ca6c2880f580e57aa4136

chore: Attempt to fix the releaser (#2218)

view details

Daniel Azuma

commit sha b56bfff57d5a55a3cce2f3726fbc76cd6f5b7c16

chore: Another attempt to fix the releaser (#2220)

view details

push time in 20 hours

PR opened googleapis/google-api-ruby-client

feat: Automated regeneration of bigquerydatatransfer v1 client

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-16 01:43:31,705 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-bigquerydatatransfer-v1
nothing to commit, working tree clean
2021-01-16 01:43:31,776 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth bigquerydatatransfer v1
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth bigquerydatatransfer v1
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Fetching public_suffix 4.0.6
Fetching minitest 5.14.3
Fetching zeitwerk 2.4.2
Installing zeitwerk 2.4.2
Installing minitest 5.14.3
Installing public_suffix 4.0.6
Installing concurrent-ruby 1.1.7
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.2.5
Fetching byebug 11.1.3
Fetching coderay 1.1.3
Installing byebug 11.1.3 with native extensions
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Using sync 0.5.0
Fetching thor 0.20.3
Installing simplecov-html 0.10.2
Installing thor 0.20.3
Fetching rexml 3.2.4
Fetching declarative 0.0.20
Installing rexml 3.2.4
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing declarative-option 0.1.0
Fetching dotenv 2.7.6
Installing diff-lcs 1.4.4
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing faraday-net_http 1.0.1
Installing fakefs 0.20.1
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching gems 1.2.0
Fetching github-markup 1.7.0
Installing gems 1.2.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching httpclient 2.8.3
Fetching mini_mime 1.0.2
Fetching uber 0.1.0
Installing httpclient 2.8.3
Installing uber 0.1.0
Installing mini_mime 1.0.2
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Fetching multi_xml 0.6.0
Installing mime-types-data 3.2020.1104
Installing multi_xml 0.6.0
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching method_source 1.0.0
Fetching opencensus 0.5.0
Installing method_source 1.0.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching yard 0.9.26
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Installing yard 0.9.26
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing ruby-progressbar 1.11.0
Installing unicode-display_width 1.7.0
Fetching parser 2.7.2.0
Fetching addressable 2.7.0
Installing parser 2.7.2.0
Installing addressable 2.7.0
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching tzinfo 2.0.4
Fetching tins 1.28.0
Installing tzinfo 2.0.4
Installing tins 1.28.0
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching faraday 1.3.0
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Installing faraday 1.3.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching pry 0.13.1
Fetching rspec-core 3.10.1
Installing pry 0.13.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching rubocop 0.49.1
Installing rubocop 0.49.1
Fetching activesupport 6.1.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Fetching term-ansicolor 1.7.1
Installing activesupport 6.1.1
Installing term-ansicolor 1.7.1
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching pry-doc 0.13.5
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching googleauth 0.14.0
Fetching json_spec 1.1.5
Installing googleauth 0.14.0
Installing json_spec 1.1.5
Installing pry-doc 0.13.5
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=bigquerydatatransfer.v1 --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading bigquerydatatransfer, version v1 from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/bigquerydatatransfer.v1.json
    conflict  google-apis-bigquerydatatransfer_v1/OVERVIEW.md
<fer_v1/OVERVIEW.md? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-bigquerydatatransfer_v1/OVERVIEW.md
    conflict  google-apis-bigquerydatatransfer_v1/lib/google/apis/bigquerydatatransfer_v1.rb
       force  google-apis-bigquerydatatransfer_v1/lib/google/apis/bigquerydatatransfer_v1.rb
    conflict  google-apis-bigquerydatatransfer_v1/lib/google/apis/bigquerydatatransfer_v1/service.rb
       force  google-apis-bigquerydatatransfer_v1/lib/google/apis/bigquerydatatransfer_v1/service.rb
    conflict  google-apis-bigquerydatatransfer_v1/lib/google/apis/bigquerydatatransfer_v1/gem_version.rb
       force  google-apis-bigquerydatatransfer_v1/lib/google/apis/bigquerydatatransfer_v1/gem_version.rb
    conflict  google-apis-bigquerydatatransfer_v1/CHANGELOG.md
       force  google-apis-bigquerydatatransfer_v1/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Using rake 13.0.3
Using public_suffix 4.0.6
Using bundler 2.2.5
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Fetching os 1.1.1
Using retriable 3.1.2
Using rexml 3.2.4
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using yard 0.9.26
Using addressable 2.7.0
Using faraday 1.3.0
Using representable 3.0.4
Using rspec-core 3.10.1
Using signet 0.14.0
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Installing os 1.1.1
Using googleauth 0.14.0
Using google-apis-core 0.2.0
Using google-apis-bigquerydatatransfer_v1 0.2.0 from source at `.`
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::BigquerydatatransferV1
  should load

Finished in 0.32357 seconds (files took 0.10238 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:        23 (    0 undocumented)
Constants:       8 (    0 undocumented)
Attributes:     73 (    0 undocumented)
Methods:        75 (    0 undocumented)
 99.45% documented
google-apis-bigquerydatatransfer_v1 0.2.0 built to pkg/google-apis-bigquerydatatransfer_v1-0.2.0.gem.
   identical  /workspace/api_names_out.yaml
2021-01-16 01:44:01,272 synthtool [DEBUG] > Wrote metadata to generated/google-apis-bigquerydatatransfer_v1/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-bigquerydatatransfer_v1/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/53fa8810-2bed-4391-8ef4-2a135fa5f10f/targets

  • [ ] To automatically regenerate this PR, check this box.
+10 -6

0 comment

6 changed files

pr created time in 20 hours

pull request commentgoogleapis/google-api-ruby-client

feat: Automated regeneration of workflowexecutions v1beta client

Merge-on-green attempted to merge your PR for 6 hours, but it was not mergeable because either one of your required status checks failed, one of your required reviews was not approved, or there is a do not merge label. Learn more about your required status checks here: https://help.github.com/en/github/administering-a-repository/enabling-required-status-checks. You can remove and reapply the label to re-run the bot.

yoshi-automation

comment created time in 2 days

issue commentgoogleapis/google-api-ruby-client

AdMob API undefined method `has_key?' for #<Array:0x007fbf08109568>

As a workaround I modified this line

https://github.com/googleapis/google-api-ruby-client/blob/master/google-api-client/generated/google/apis/admob_v1/representations.rb#L211

with

collection :rows, as: 'rows', class: Google::Apis::AdmobV1::ReportRow, decorator: Google::Apis::AdmobV1::ReportRow::Representation

jonasmora

comment created time in 2 days

push eventgoogleapis/google-api-ruby-client

Yoshi Automation Bot

commit sha abc95c5941bec27a455222e3b01ab81d5a3f346c

feat: Automated regeneration of admob v1 client (#2224)

view details

Yoshi Automation Bot

commit sha 56d9d9b47346733db5a35ae03228b06b901ef1b7

feat: Automated regeneration of admin datatransfer_v1 client (#2222)

view details

Yoshi Automation Bot

commit sha dffa55cd38f80c8fe576d33fadd9f4d84e97fa36

feat: Automated regeneration of admin directory_v1 client (#2223)

view details

Yoshi Automation Bot

commit sha eecea98c29dc5869ac6c2ef14309b12d6207b78b

feat: Automated regeneration of admob v1beta client (#2225)

view details

Yoshi Automation Bot

commit sha bccaec355abeb3bb77a8611f860b2c5231f6a20c

feat: Automated regeneration of youtube v3 client (#2248)

view details

Yoshi Automation Bot

commit sha 10b5fab83c369bc7a7ed2b8631ac48fd634c586f

feat: Automated regeneration of workflowexecutions v1beta client (#2247)

view details

Yoshi Automation Bot

commit sha ce7dbf3b551d2e69a06d234238acf5d689db1d9a

feat: Automated regeneration of servicenetworking v1beta client (#2246)

view details

Yoshi Automation Bot

commit sha 4c0a8b5682b0c1fac5ab33c57b9deaab55402b7d

feat: Automated regeneration of servicenetworking v1 client (#2245)

view details

Yoshi Automation Bot

commit sha a661f6f907b9bffa160230e58b245931ca03cac9

feat: Automated regeneration of securitycenter v1beta2 client (#2244)

view details

Yoshi Automation Bot

commit sha fd0c5c2d419308685cc0f8a7371e41e3c052487f

feat: Automated regeneration of securitycenter v1beta1 client (#2243)

view details

Yoshi Automation Bot

commit sha 03137b238b82a543f1f198056e10b0c963550191

feat: Automated regeneration of alertcenter v1beta1 client (#2226)

view details

Yoshi Automation Bot

commit sha 1be0a4ea25d6936e5a85cae1aaa85b474066dda2

feat: Automated regeneration of analyticsdata v1alpha client (#2227)

view details

Yoshi Automation Bot

commit sha 332df7636b9be64351b99eeeab5b3f523dbef85f

feat: Automated regeneration of analyticsreporting v4 client (#2228)

view details

Yoshi Automation Bot

commit sha da290206c25681a5a63636660ee011dcc6a574a5

feat: Automated regeneration of apigee v1 client (#2229)

view details

Yoshi Automation Bot

commit sha b9f6456d0c9af2df14bdc47d8c8c77895df03b46

feat: Automated regeneration of cloudasset v1 client (#2230)

view details

Yoshi Automation Bot

commit sha 304470a8520485dd12d6e210f71a10658eec6b01

feat: Automated regeneration of dataproc v1 client (#2231)

view details

Yoshi Automation Bot

commit sha 9c0b7f6d4a59adb9a876b213586ddd323337a4de

feat: Automated regeneration of dataproc v1beta2 client (#2232)

view details

Yoshi Automation Bot

commit sha 52715143128b55d03aa5582472d478e30517f422

feat: Automated regeneration of dialogflow v2 client (#2233)

view details

Yoshi Automation Bot

commit sha b67b3f294f3d0055bc07eb8687f643b4303d6e15

feat: Automated regeneration of dialogflow v2beta1 client (#2234)

view details

Yoshi Automation Bot

commit sha 430d50c1bcf49830d62ecd01d878c0d239b1498a

feat: Automated regeneration of dialogflow v3 client (#2235)

view details

push time in 2 days

PR opened googleapis/google-api-ruby-client

feat: Automated regeneration of workflowexecutions v1beta client

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-15 03:51:06,610 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-workflowexecutions-v1beta
nothing to commit, working tree clean
2021-01-15 03:51:06,683 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth workflowexecutions v1beta
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth workflowexecutions v1beta
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Installing concurrent-ruby 1.1.7
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching minitest 5.14.3
Installing minitest 5.14.3
Fetching tzinfo 2.0.4
Installing tzinfo 2.0.4
Fetching zeitwerk 2.4.2
Installing zeitwerk 2.4.2
Fetching activesupport 6.1.1
Installing activesupport 6.1.1
Fetching public_suffix 4.0.6
Installing public_suffix 4.0.6
Fetching addressable 2.7.0
Installing addressable 2.7.0
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.1.4
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Using sync 0.5.0
Fetching tins 1.28.0
Installing tins 1.28.0
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching rexml 3.2.4
Installing rexml 3.2.4
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching declarative 0.0.20
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Installing declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Installing fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing faraday-net_http 1.0.1
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching faraday 1.3.0
Installing faraday 1.3.0
Fetching gems 1.2.0
Installing gems 1.2.0
Fetching github-markup 1.7.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Fetching httpclient 2.8.3
Installing httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing mini_mime 1.0.2
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Installing mime-types-data 3.2020.1104
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching multi_xml 0.6.0
Installing multi_xml 0.6.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching rspec-core 3.10.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching json_spec 1.1.5
Installing json_spec 1.1.5
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching opencensus 0.5.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching parser 2.7.2.0
Installing parser 2.7.2.0
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching yard 0.9.26
Installing yard 0.9.26
Fetching pry-doc 0.13.5
Installing pry-doc 0.13.5
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Fetching rubocop 0.49.1
Installing rubocop 0.49.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=workflowexecutions.v1beta --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading workflowexecutions, version v1beta from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/workflowexecutions.v1beta.json
    conflict  google-apis-workflowexecutions_v1beta/lib/google/apis/workflowexecutions_v1beta/classes.rb
<_v1beta/classes.rb? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-workflowexecutions_v1beta/lib/google/apis/workflowexecutions_v1beta/classes.rb
    conflict  google-apis-workflowexecutions_v1beta/lib/google/apis/workflowexecutions_v1beta/representations.rb
       force  google-apis-workflowexecutions_v1beta/lib/google/apis/workflowexecutions_v1beta/representations.rb
    conflict  google-apis-workflowexecutions_v1beta/lib/google/apis/workflowexecutions_v1beta/gem_version.rb
       force  google-apis-workflowexecutions_v1beta/lib/google/apis/workflowexecutions_v1beta/gem_version.rb
    conflict  google-apis-workflowexecutions_v1beta/CHANGELOG.md
       force  google-apis-workflowexecutions_v1beta/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 13.0.3
Installing rake 13.0.3
Using public_suffix 4.0.6
Using addressable 2.7.0
Using bundler 2.1.4
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using faraday 1.3.0
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Fetching os 1.1.1
Installing os 1.1.1
Using signet 0.14.0
Using googleauth 0.14.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using representable 3.0.4
Using retriable 3.1.2
Using rexml 3.2.4
Using google-apis-core 0.2.0
Using google-apis-workflowexecutions_v1beta 0.2.0 from source at `.`
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Using yard 0.9.26
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::WorkflowexecutionsV1beta
  should load

Finished in 0.26513 seconds (files took 0.10459 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:         7 (    0 undocumented)
Constants:       5 (    0 undocumented)
Attributes:     20 (    0 undocumented)
Methods:        17 (    0 undocumented)
 98.08% documented
google-apis-workflowexecutions_v1beta 0.2.0 built to pkg/google-apis-workflowexecutions_v1beta-0.2.0.gem.
    conflict  /workspace/api_names_out.yaml
       force  /workspace/api_names_out.yaml
2021-01-15 03:51:36,979 synthtool [DEBUG] > Wrote metadata to generated/google-apis-workflowexecutions_v1beta/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-workflowexecutions_v1beta/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets

  • [ ] To automatically regenerate this PR, check this box.
+113 -5

0 comment

6 changed files

pr created time in 2 days

push eventgoogleapis/google-api-ruby-client

Yoshi Automation Bot

commit sha 3cea06def50fd78d9e6faba2f1674379098fc3fd

feat: Automated regeneration of sts v1beta client (#2401) This PR was generated using Autosynth. :rainbow: <details><summary>Log from Synthtool</summary> ``` 2021-01-15 03:36:20,329 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py. On branch autosynth-sts-v1beta nothing to commit, working tree clean 2021-01-15 03:36:20,455 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1beta DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1beta git clean -df bundle install Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine. The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`. Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/. Resolving dependencies... Fetching rake 11.3.0 Installing rake 11.3.0 Fetching concurrent-ruby 1.1.7 Installing concurrent-ruby 1.1.7 Fetching i18n 1.8.7 Installing i18n 1.8.7 Fetching minitest 5.14.3 Installing minitest 5.14.3 Fetching tzinfo 2.0.4 Installing tzinfo 2.0.4 Fetching zeitwerk 2.4.2 Installing zeitwerk 2.4.2 Fetching activesupport 6.1.1 Installing activesupport 6.1.1 Fetching public_suffix 4.0.6 Installing public_suffix 4.0.6 Fetching addressable 2.7.0 Installing addressable 2.7.0 Fetching ast 2.4.1 Installing ast 2.4.1 Using bundler 2.1.4 Fetching byebug 11.1.3 Installing byebug 11.1.3 with native extensions Fetching coderay 1.1.3 Installing coderay 1.1.3 Fetching json 2.5.1 Installing json 2.5.1 with native extensions Fetching docile 1.3.5 Installing docile 1.3.5 Fetching simplecov-html 0.10.2 Installing simplecov-html 0.10.2 Fetching simplecov 0.16.1 Installing simplecov 0.16.1 Using sync 0.5.0 Fetching tins 1.28.0 Installing tins 1.28.0 Fetching term-ansicolor 1.7.1 Installing term-ansicolor 1.7.1 Fetching thor 0.20.3 Installing thor 0.20.3 Fetching coveralls 0.8.23 Installing coveralls 0.8.23 Fetching rexml 3.2.4 Installing rexml 3.2.4 Fetching crack 0.4.5 Installing crack 0.4.5 Fetching declarative 0.0.20 Installing declarative 0.0.20 Fetching declarative-option 0.1.0 Installing declarative-option 0.1.0 Fetching diff-lcs 1.4.4 Installing diff-lcs 1.4.4 Fetching dotenv 2.7.6 Installing dotenv 2.7.6 Fetching fakefs 0.20.1 Installing fakefs 0.20.1 Fetching faraday-net_http 1.0.1 Installing faraday-net_http 1.0.1 Fetching multipart-post 2.1.1 Installing multipart-post 2.1.1 Fetching ruby2_keywords 0.0.2 Installing ruby2_keywords 0.0.2 Fetching faraday 1.3.0 Installing faraday 1.3.0 Fetching gems 1.2.0 Installing gems 1.2.0 Fetching github-markup 1.7.0 Installing github-markup 1.7.0 Fetching jwt 2.2.2 Installing jwt 2.2.2 Fetching memoist 0.16.2 Installing memoist 0.16.2 Fetching multi_json 1.15.0 Installing multi_json 1.15.0 Fetching os 0.9.6 Installing os 0.9.6 Fetching signet 0.14.0 Installing signet 0.14.0 Fetching googleauth 0.14.0 Installing googleauth 0.14.0 Fetching httpclient 2.8.3 Installing httpclient 2.8.3 Fetching mini_mime 1.0.2 Installing mini_mime 1.0.2 Fetching uber 0.1.0 Installing uber 0.1.0 Fetching representable 3.0.4 Installing representable 3.0.4 Fetching retriable 3.1.2 Installing retriable 3.1.2 Fetching google-apis-core 0.2.0 Installing google-apis-core 0.2.0 Fetching google-apis-discovery_v1 0.1.0 Installing google-apis-discovery_v1 0.1.0 Using google-apis-generator 0.1.1 from source at `.` Fetching google-id-token 1.4.2 Installing google-id-token 1.4.2 Fetching hashdiff 1.0.1 Installing hashdiff 1.0.1 Fetching mime-types-data 3.2020.1104 Installing mime-types-data 3.2020.1104 Fetching mime-types 3.3.1 Installing mime-types 3.3.1 Fetching multi_xml 0.6.0 Installing multi_xml 0.6.0 Fetching httparty 0.18.1 Installing httparty 0.18.1 Fetching rspec-support 3.10.1 Installing rspec-support 3.10.1 Fetching rspec-core 3.10.1 Installing rspec-core 3.10.1 Fetching rspec-expectations 3.10.1 Installing rspec-expectations 3.10.1 Fetching rspec-mocks 3.10.1 Installing rspec-mocks 3.10.1 Fetching rspec 3.10.0 Installing rspec 3.10.0 Fetching json_spec 1.1.5 Installing json_spec 1.1.5 Fetching launchy 2.5.0 Installing launchy 2.5.0 Fetching little-plugger 1.1.4 Installing little-plugger 1.1.4 Fetching logging 2.3.0 Installing logging 2.3.0 Fetching method_source 1.0.0 Installing method_source 1.0.0 Fetching opencensus 0.5.0 Installing opencensus 0.5.0 Fetching parallel 1.20.1 Installing parallel 1.20.1 Fetching parser 2.7.2.0 Installing parser 2.7.2.0 Fetching powerpack 0.1.3 Installing powerpack 0.1.3 Fetching pry 0.13.1 Installing pry 0.13.1 Fetching pry-byebug 3.9.0 Installing pry-byebug 3.9.0 Fetching yard 0.9.26 Installing yard 0.9.26 Fetching pry-doc 0.13.5 Installing pry-doc 0.13.5 Fetching rainbow 2.2.2 Installing rainbow 2.2.2 with native extensions Fetching redcarpet 3.5.1 Installing redcarpet 3.5.1 with native extensions Fetching redis 3.3.5 Installing redis 3.3.5 Fetching rmail 1.1.4 Installing rmail 1.1.4 Fetching ruby-progressbar 1.11.0 Installing ruby-progressbar 1.11.0 Fetching unicode-display_width 1.7.0 Installing unicode-display_width 1.7.0 Fetching rubocop 0.49.1 Installing rubocop 0.49.1 Fetching webmock 2.3.2 Installing webmock 2.3.2 Bundle complete! 25 Gemfile dependencies, 81 gems now installed. Use `bundle info [gemname]` to see where a bundled gem is installed. Post-install message from i18n: HEADS UP! i18n 1.1 changed fallbacks to exclude default locale. But that may break your application. If you are upgrading your Rails application from an older version of Rails: Please check your Rails app for 'config.i18n.fallbacks = true'. If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be 'config.i18n.fallbacks = [I18n.default_locale]'. If not, fallbacks will be broken in your app by I18n 1.1.x. If you are starting a NEW Rails application, you can ignore this notice. For more info see: https://github.com/svenfuchs/i18n/releases/tag/v1.1.0 Post-install message from httparty: When you HTTParty, you must party hard! echo a | bundle exec bin/generate-api gen /workspace/generated --api=sts.v1beta --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check Loading sts, version v1beta from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/sts.v1beta.json conflict google-apis-sts_v1beta/lib/google/apis/sts_v1beta/classes.rb <_v1beta/classes.rb? (enter "h" for help) [Ynaqdhm] a force google-apis-sts_v1beta/lib/google/apis/sts_v1beta/classes.rb conflict google-apis-sts_v1beta/lib/google/apis/sts_v1beta/gem_version.rb force google-apis-sts_v1beta/lib/google/apis/sts_v1beta/gem_version.rb conflict google-apis-sts_v1beta/CHANGELOG.md force google-apis-sts_v1beta/CHANGELOG.md Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine. The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`. Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/. Resolving dependencies... Fetching rake 13.0.3 Installing rake 13.0.3 Using public_suffix 4.0.6 Using addressable 2.7.0 Using bundler 2.1.4 Using declarative 0.0.20 Using declarative-option 0.1.0 Using diff-lcs 1.4.4 Using faraday-net_http 1.0.1 Using multipart-post 2.1.1 Using ruby2_keywords 0.0.2 Using faraday 1.3.0 Using jwt 2.2.2 Using memoist 0.16.2 Using multi_json 1.15.0 Fetching os 1.1.1 Installing os 1.1.1 Using signet 0.14.0 Using googleauth 0.14.0 Using httpclient 2.8.3 Using mini_mime 1.0.2 Using uber 0.1.0 Using representable 3.0.4 Using retriable 3.1.2 Using rexml 3.2.4 Using google-apis-core 0.2.0 Using google-apis-sts_v1beta 0.2.0 from source at `.` Using opencensus 0.5.0 Using redcarpet 3.5.1 Using rspec-support 3.10.1 Using rspec-core 3.10.1 Using rspec-expectations 3.10.1 Using rspec-mocks 3.10.1 Using rspec 3.10.0 Using yard 0.9.26 Bundle complete! 8 Gemfile dependencies, 33 gems now installed. Use `bundle info [gemname]` to see where a bundled gem is installed. /root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb Google::Apis::StsV1beta should load Finished in 0.25882 seconds (files took 0.10191 seconds to load) 1 example, 0 failures Files: 4 Modules: 3 ( 1 undocumented) Classes: 3 ( 0 undocumented) Constants: 4 ( 0 undocumented) Attributes: 13 ( 0 undocumented) Methods: 6 ( 0 undocumented) 96.55% documented google-apis-sts_v1beta 0.2.0 built to pkg/google-apis-sts_v1beta-0.2.0.gem. identical /workspace/api_names_out.yaml 2021-01-15 03:36:50,100 synthtool [DEBUG] > Wrote metadata to generated/google-apis-sts_v1beta/synth.metadata. DEBUG:synthtool:Wrote metadata to generated/google-apis-sts_v1beta/synth.metadata. ``` </details> Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets - [ ] To automatically regenerate this PR, check this box.

view details

push time in 2 days

PR merged googleapis/google-api-ruby-client

feat: Automated regeneration of sts v1beta client automerge cla: yes

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-15 03:36:20,329 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-sts-v1beta
nothing to commit, working tree clean
2021-01-15 03:36:20,455 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1beta
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1beta
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Installing concurrent-ruby 1.1.7
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching minitest 5.14.3
Installing minitest 5.14.3
Fetching tzinfo 2.0.4
Installing tzinfo 2.0.4
Fetching zeitwerk 2.4.2
Installing zeitwerk 2.4.2
Fetching activesupport 6.1.1
Installing activesupport 6.1.1
Fetching public_suffix 4.0.6
Installing public_suffix 4.0.6
Fetching addressable 2.7.0
Installing addressable 2.7.0
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.1.4
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Using sync 0.5.0
Fetching tins 1.28.0
Installing tins 1.28.0
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching rexml 3.2.4
Installing rexml 3.2.4
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching declarative 0.0.20
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Installing declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Installing fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing faraday-net_http 1.0.1
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching faraday 1.3.0
Installing faraday 1.3.0
Fetching gems 1.2.0
Installing gems 1.2.0
Fetching github-markup 1.7.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Fetching httpclient 2.8.3
Installing httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing mini_mime 1.0.2
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Installing mime-types-data 3.2020.1104
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching multi_xml 0.6.0
Installing multi_xml 0.6.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching rspec-core 3.10.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching json_spec 1.1.5
Installing json_spec 1.1.5
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching opencensus 0.5.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching parser 2.7.2.0
Installing parser 2.7.2.0
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching yard 0.9.26
Installing yard 0.9.26
Fetching pry-doc 0.13.5
Installing pry-doc 0.13.5
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Fetching rubocop 0.49.1
Installing rubocop 0.49.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=sts.v1beta --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading sts, version v1beta from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/sts.v1beta.json
    conflict  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/classes.rb
<_v1beta/classes.rb? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/classes.rb
    conflict  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/gem_version.rb
       force  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/gem_version.rb
    conflict  google-apis-sts_v1beta/CHANGELOG.md
       force  google-apis-sts_v1beta/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 13.0.3
Installing rake 13.0.3
Using public_suffix 4.0.6
Using addressable 2.7.0
Using bundler 2.1.4
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using faraday 1.3.0
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Fetching os 1.1.1
Installing os 1.1.1
Using signet 0.14.0
Using googleauth 0.14.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using representable 3.0.4
Using retriable 3.1.2
Using rexml 3.2.4
Using google-apis-core 0.2.0
Using google-apis-sts_v1beta 0.2.0 from source at `.`
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Using yard 0.9.26
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::StsV1beta
  should load

Finished in 0.25882 seconds (files took 0.10191 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:         3 (    0 undocumented)
Constants:       4 (    0 undocumented)
Attributes:     13 (    0 undocumented)
Methods:         6 (    0 undocumented)
 96.55% documented
google-apis-sts_v1beta 0.2.0 built to pkg/google-apis-sts_v1beta-0.2.0.gem.
   identical  /workspace/api_names_out.yaml
2021-01-15 03:36:50,100 synthtool [DEBUG] > Wrote metadata to generated/google-apis-sts_v1beta/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-sts_v1beta/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets

  • [ ] To automatically regenerate this PR, check this box.
+15 -8

0 comment

4 changed files

yoshi-automation

pr closed time in 2 days

push eventgoogleapis/google-api-ruby-client

Yoshi Automation Bot

commit sha 5d69f81ebe768023bb6cfe18a159e07effb88a27

feat: Automated regeneration of sts v1 client (#2400) This PR was generated using Autosynth. :rainbow: <details><summary>Log from Synthtool</summary> ``` 2021-01-15 03:35:41,264 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py. On branch autosynth-sts-v1 nothing to commit, working tree clean 2021-01-15 03:35:41,337 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1 DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1 git clean -df bundle install Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine. The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`. Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/. Resolving dependencies... Fetching rake 11.3.0 Installing rake 11.3.0 Fetching concurrent-ruby 1.1.7 Installing concurrent-ruby 1.1.7 Fetching i18n 1.8.7 Installing i18n 1.8.7 Fetching minitest 5.14.3 Installing minitest 5.14.3 Fetching tzinfo 2.0.4 Installing tzinfo 2.0.4 Fetching zeitwerk 2.4.2 Installing zeitwerk 2.4.2 Fetching activesupport 6.1.1 Installing activesupport 6.1.1 Fetching public_suffix 4.0.6 Installing public_suffix 4.0.6 Fetching addressable 2.7.0 Installing addressable 2.7.0 Fetching ast 2.4.1 Installing ast 2.4.1 Using bundler 2.1.4 Fetching byebug 11.1.3 Installing byebug 11.1.3 with native extensions Fetching coderay 1.1.3 Installing coderay 1.1.3 Fetching json 2.5.1 Installing json 2.5.1 with native extensions Fetching docile 1.3.5 Installing docile 1.3.5 Fetching simplecov-html 0.10.2 Installing simplecov-html 0.10.2 Fetching simplecov 0.16.1 Installing simplecov 0.16.1 Using sync 0.5.0 Fetching tins 1.28.0 Installing tins 1.28.0 Fetching term-ansicolor 1.7.1 Installing term-ansicolor 1.7.1 Fetching thor 0.20.3 Installing thor 0.20.3 Fetching coveralls 0.8.23 Installing coveralls 0.8.23 Fetching rexml 3.2.4 Installing rexml 3.2.4 Fetching crack 0.4.5 Installing crack 0.4.5 Fetching declarative 0.0.20 Installing declarative 0.0.20 Fetching declarative-option 0.1.0 Installing declarative-option 0.1.0 Fetching diff-lcs 1.4.4 Installing diff-lcs 1.4.4 Fetching dotenv 2.7.6 Installing dotenv 2.7.6 Fetching fakefs 0.20.1 Installing fakefs 0.20.1 Fetching faraday-net_http 1.0.1 Installing faraday-net_http 1.0.1 Fetching multipart-post 2.1.1 Installing multipart-post 2.1.1 Fetching ruby2_keywords 0.0.2 Installing ruby2_keywords 0.0.2 Fetching faraday 1.3.0 Installing faraday 1.3.0 Fetching gems 1.2.0 Installing gems 1.2.0 Fetching github-markup 1.7.0 Installing github-markup 1.7.0 Fetching jwt 2.2.2 Installing jwt 2.2.2 Fetching memoist 0.16.2 Installing memoist 0.16.2 Fetching multi_json 1.15.0 Installing multi_json 1.15.0 Fetching os 0.9.6 Installing os 0.9.6 Fetching signet 0.14.0 Installing signet 0.14.0 Fetching googleauth 0.14.0 Installing googleauth 0.14.0 Fetching httpclient 2.8.3 Installing httpclient 2.8.3 Fetching mini_mime 1.0.2 Installing mini_mime 1.0.2 Fetching uber 0.1.0 Installing uber 0.1.0 Fetching representable 3.0.4 Installing representable 3.0.4 Fetching retriable 3.1.2 Installing retriable 3.1.2 Fetching google-apis-core 0.2.0 Installing google-apis-core 0.2.0 Fetching google-apis-discovery_v1 0.1.0 Installing google-apis-discovery_v1 0.1.0 Using google-apis-generator 0.1.1 from source at `.` Fetching google-id-token 1.4.2 Installing google-id-token 1.4.2 Fetching hashdiff 1.0.1 Installing hashdiff 1.0.1 Fetching mime-types-data 3.2020.1104 Installing mime-types-data 3.2020.1104 Fetching mime-types 3.3.1 Installing mime-types 3.3.1 Fetching multi_xml 0.6.0 Installing multi_xml 0.6.0 Fetching httparty 0.18.1 Installing httparty 0.18.1 Fetching rspec-support 3.10.1 Installing rspec-support 3.10.1 Fetching rspec-core 3.10.1 Installing rspec-core 3.10.1 Fetching rspec-expectations 3.10.1 Installing rspec-expectations 3.10.1 Fetching rspec-mocks 3.10.1 Installing rspec-mocks 3.10.1 Fetching rspec 3.10.0 Installing rspec 3.10.0 Fetching json_spec 1.1.5 Installing json_spec 1.1.5 Fetching launchy 2.5.0 Installing launchy 2.5.0 Fetching little-plugger 1.1.4 Installing little-plugger 1.1.4 Fetching logging 2.3.0 Installing logging 2.3.0 Fetching method_source 1.0.0 Installing method_source 1.0.0 Fetching opencensus 0.5.0 Installing opencensus 0.5.0 Fetching parallel 1.20.1 Installing parallel 1.20.1 Fetching parser 2.7.2.0 Installing parser 2.7.2.0 Fetching powerpack 0.1.3 Installing powerpack 0.1.3 Fetching pry 0.13.1 Installing pry 0.13.1 Fetching pry-byebug 3.9.0 Installing pry-byebug 3.9.0 Fetching yard 0.9.26 Installing yard 0.9.26 Fetching pry-doc 0.13.5 Installing pry-doc 0.13.5 Fetching rainbow 2.2.2 Installing rainbow 2.2.2 with native extensions Fetching redcarpet 3.5.1 Installing redcarpet 3.5.1 with native extensions Fetching redis 3.3.5 Installing redis 3.3.5 Fetching rmail 1.1.4 Installing rmail 1.1.4 Fetching ruby-progressbar 1.11.0 Installing ruby-progressbar 1.11.0 Fetching unicode-display_width 1.7.0 Installing unicode-display_width 1.7.0 Fetching rubocop 0.49.1 Installing rubocop 0.49.1 Fetching webmock 2.3.2 Installing webmock 2.3.2 Bundle complete! 25 Gemfile dependencies, 81 gems now installed. Use `bundle info [gemname]` to see where a bundled gem is installed. Post-install message from i18n: HEADS UP! i18n 1.1 changed fallbacks to exclude default locale. But that may break your application. If you are upgrading your Rails application from an older version of Rails: Please check your Rails app for 'config.i18n.fallbacks = true'. If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be 'config.i18n.fallbacks = [I18n.default_locale]'. If not, fallbacks will be broken in your app by I18n 1.1.x. If you are starting a NEW Rails application, you can ignore this notice. For more info see: https://github.com/svenfuchs/i18n/releases/tag/v1.1.0 Post-install message from httparty: When you HTTParty, you must party hard! echo a | bundle exec bin/generate-api gen /workspace/generated --api=sts.v1 --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check Loading sts, version v1 from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/sts.v1.json conflict google-apis-sts_v1/lib/google/apis/sts_v1/classes.rb </sts_v1/classes.rb? (enter "h" for help) [Ynaqdhm] a force google-apis-sts_v1/lib/google/apis/sts_v1/classes.rb conflict google-apis-sts_v1/lib/google/apis/sts_v1/representations.rb force google-apis-sts_v1/lib/google/apis/sts_v1/representations.rb conflict google-apis-sts_v1/lib/google/apis/sts_v1/gem_version.rb force google-apis-sts_v1/lib/google/apis/sts_v1/gem_version.rb conflict google-apis-sts_v1/CHANGELOG.md force google-apis-sts_v1/CHANGELOG.md Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine. The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`. Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/. Resolving dependencies... Fetching rake 13.0.3 Installing rake 13.0.3 Using public_suffix 4.0.6 Using addressable 2.7.0 Using bundler 2.1.4 Using declarative 0.0.20 Using declarative-option 0.1.0 Using diff-lcs 1.4.4 Using faraday-net_http 1.0.1 Using multipart-post 2.1.1 Using ruby2_keywords 0.0.2 Using faraday 1.3.0 Using jwt 2.2.2 Using memoist 0.16.2 Using multi_json 1.15.0 Fetching os 1.1.1 Installing os 1.1.1 Using signet 0.14.0 Using googleauth 0.14.0 Using httpclient 2.8.3 Using mini_mime 1.0.2 Using uber 0.1.0 Using representable 3.0.4 Using retriable 3.1.2 Using rexml 3.2.4 Using google-apis-core 0.2.0 Using google-apis-sts_v1 0.2.0 from source at `.` Using opencensus 0.5.0 Using redcarpet 3.5.1 Using rspec-support 3.10.1 Using rspec-core 3.10.1 Using rspec-expectations 3.10.1 Using rspec-mocks 3.10.1 Using rspec 3.10.0 Using yard 0.9.26 Bundle complete! 8 Gemfile dependencies, 33 gems now installed. Use `bundle info [gemname]` to see where a bundled gem is installed. /root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb Google::Apis::StsV1 should load Finished in 0.26162 seconds (files took 0.10245 seconds to load) 1 example, 0 failures Files: 4 Modules: 3 ( 1 undocumented) Classes: 3 ( 0 undocumented) Constants: 4 ( 0 undocumented) Attributes: 13 ( 0 undocumented) Methods: 6 ( 0 undocumented) 96.55% documented google-apis-sts_v1 0.2.0 built to pkg/google-apis-sts_v1-0.2.0.gem. conflict /workspace/api_names_out.yaml force /workspace/api_names_out.yaml 2021-01-15 03:36:10,944 synthtool [DEBUG] > Wrote metadata to generated/google-apis-sts_v1/synth.metadata. DEBUG:synthtool:Wrote metadata to generated/google-apis-sts_v1/synth.metadata. ``` </details> Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets - [ ] To automatically regenerate this PR, check this box.

view details

push time in 2 days

PR merged googleapis/google-api-ruby-client

feat: Automated regeneration of sts v1 client automerge cla: yes

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-15 03:35:41,264 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-sts-v1
nothing to commit, working tree clean
2021-01-15 03:35:41,337 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Installing concurrent-ruby 1.1.7
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching minitest 5.14.3
Installing minitest 5.14.3
Fetching tzinfo 2.0.4
Installing tzinfo 2.0.4
Fetching zeitwerk 2.4.2
Installing zeitwerk 2.4.2
Fetching activesupport 6.1.1
Installing activesupport 6.1.1
Fetching public_suffix 4.0.6
Installing public_suffix 4.0.6
Fetching addressable 2.7.0
Installing addressable 2.7.0
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.1.4
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Using sync 0.5.0
Fetching tins 1.28.0
Installing tins 1.28.0
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching rexml 3.2.4
Installing rexml 3.2.4
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching declarative 0.0.20
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Installing declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Installing fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing faraday-net_http 1.0.1
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching faraday 1.3.0
Installing faraday 1.3.0
Fetching gems 1.2.0
Installing gems 1.2.0
Fetching github-markup 1.7.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Fetching httpclient 2.8.3
Installing httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing mini_mime 1.0.2
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Installing mime-types-data 3.2020.1104
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching multi_xml 0.6.0
Installing multi_xml 0.6.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching rspec-core 3.10.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching json_spec 1.1.5
Installing json_spec 1.1.5
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching opencensus 0.5.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching parser 2.7.2.0
Installing parser 2.7.2.0
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching yard 0.9.26
Installing yard 0.9.26
Fetching pry-doc 0.13.5
Installing pry-doc 0.13.5
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Fetching rubocop 0.49.1
Installing rubocop 0.49.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=sts.v1 --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading sts, version v1 from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/sts.v1.json
    conflict  google-apis-sts_v1/lib/google/apis/sts_v1/classes.rb
</sts_v1/classes.rb? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-sts_v1/lib/google/apis/sts_v1/classes.rb
    conflict  google-apis-sts_v1/lib/google/apis/sts_v1/representations.rb
       force  google-apis-sts_v1/lib/google/apis/sts_v1/representations.rb
    conflict  google-apis-sts_v1/lib/google/apis/sts_v1/gem_version.rb
       force  google-apis-sts_v1/lib/google/apis/sts_v1/gem_version.rb
    conflict  google-apis-sts_v1/CHANGELOG.md
       force  google-apis-sts_v1/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 13.0.3
Installing rake 13.0.3
Using public_suffix 4.0.6
Using addressable 2.7.0
Using bundler 2.1.4
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using faraday 1.3.0
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Fetching os 1.1.1
Installing os 1.1.1
Using signet 0.14.0
Using googleauth 0.14.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using representable 3.0.4
Using retriable 3.1.2
Using rexml 3.2.4
Using google-apis-core 0.2.0
Using google-apis-sts_v1 0.2.0 from source at `.`
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Using yard 0.9.26
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::StsV1
  should load

Finished in 0.26162 seconds (files took 0.10245 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:         3 (    0 undocumented)
Constants:       4 (    0 undocumented)
Attributes:     13 (    0 undocumented)
Methods:         6 (    0 undocumented)
 96.55% documented
google-apis-sts_v1 0.2.0 built to pkg/google-apis-sts_v1-0.2.0.gem.
    conflict  /workspace/api_names_out.yaml
       force  /workspace/api_names_out.yaml
2021-01-15 03:36:10,944 synthtool [DEBUG] > Wrote metadata to generated/google-apis-sts_v1/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-sts_v1/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets

  • [ ] To automatically regenerate this PR, check this box.
+31 -7

0 comment

6 changed files

yoshi-automation

pr closed time in 2 days

push eventgoogleapis/google-api-ruby-client

Yoshi Automation Bot

commit sha ea6029523e25fb2f38ead9125516ed8729372808

feat: Automated regeneration of sqladmin v1beta4 client (#2399) This PR was generated using Autosynth. :rainbow: <details><summary>Log from Synthtool</summary> ``` 2021-01-15 03:33:31,197 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py. On branch autosynth-sqladmin-v1beta4 nothing to commit, working tree clean 2021-01-15 03:33:31,270 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sqladmin v1beta4 DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sqladmin v1beta4 git clean -df bundle install Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine. The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`. Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/. Resolving dependencies... Fetching rake 11.3.0 Installing rake 11.3.0 Fetching concurrent-ruby 1.1.7 Installing concurrent-ruby 1.1.7 Fetching i18n 1.8.7 Installing i18n 1.8.7 Fetching minitest 5.14.3 Installing minitest 5.14.3 Fetching tzinfo 2.0.4 Installing tzinfo 2.0.4 Fetching zeitwerk 2.4.2 Installing zeitwerk 2.4.2 Fetching activesupport 6.1.1 Installing activesupport 6.1.1 Fetching public_suffix 4.0.6 Installing public_suffix 4.0.6 Fetching addressable 2.7.0 Installing addressable 2.7.0 Fetching ast 2.4.1 Installing ast 2.4.1 Using bundler 2.1.4 Fetching byebug 11.1.3 Installing byebug 11.1.3 with native extensions Fetching coderay 1.1.3 Installing coderay 1.1.3 Fetching json 2.5.1 Installing json 2.5.1 with native extensions Fetching docile 1.3.5 Installing docile 1.3.5 Fetching simplecov-html 0.10.2 Installing simplecov-html 0.10.2 Fetching simplecov 0.16.1 Installing simplecov 0.16.1 Using sync 0.5.0 Fetching tins 1.28.0 Installing tins 1.28.0 Fetching term-ansicolor 1.7.1 Installing term-ansicolor 1.7.1 Fetching thor 0.20.3 Installing thor 0.20.3 Fetching coveralls 0.8.23 Installing coveralls 0.8.23 Fetching rexml 3.2.4 Installing rexml 3.2.4 Fetching crack 0.4.5 Installing crack 0.4.5 Fetching declarative 0.0.20 Installing declarative 0.0.20 Fetching declarative-option 0.1.0 Installing declarative-option 0.1.0 Fetching diff-lcs 1.4.4 Installing diff-lcs 1.4.4 Fetching dotenv 2.7.6 Installing dotenv 2.7.6 Fetching fakefs 0.20.1 Installing fakefs 0.20.1 Fetching faraday-net_http 1.0.1 Installing faraday-net_http 1.0.1 Fetching multipart-post 2.1.1 Installing multipart-post 2.1.1 Fetching ruby2_keywords 0.0.2 Installing ruby2_keywords 0.0.2 Fetching faraday 1.3.0 Installing faraday 1.3.0 Fetching gems 1.2.0 Installing gems 1.2.0 Fetching github-markup 1.7.0 Installing github-markup 1.7.0 Fetching jwt 2.2.2 Installing jwt 2.2.2 Fetching memoist 0.16.2 Installing memoist 0.16.2 Fetching multi_json 1.15.0 Installing multi_json 1.15.0 Fetching os 0.9.6 Installing os 0.9.6 Fetching signet 0.14.0 Installing signet 0.14.0 Fetching googleauth 0.14.0 Installing googleauth 0.14.0 Fetching httpclient 2.8.3 Installing httpclient 2.8.3 Fetching mini_mime 1.0.2 Installing mini_mime 1.0.2 Fetching uber 0.1.0 Installing uber 0.1.0 Fetching representable 3.0.4 Installing representable 3.0.4 Fetching retriable 3.1.2 Installing retriable 3.1.2 Fetching google-apis-core 0.2.0 Installing google-apis-core 0.2.0 Fetching google-apis-discovery_v1 0.1.0 Installing google-apis-discovery_v1 0.1.0 Using google-apis-generator 0.1.1 from source at `.` Fetching google-id-token 1.4.2 Installing google-id-token 1.4.2 Fetching hashdiff 1.0.1 Installing hashdiff 1.0.1 Fetching mime-types-data 3.2020.1104 Installing mime-types-data 3.2020.1104 Fetching mime-types 3.3.1 Installing mime-types 3.3.1 Fetching multi_xml 0.6.0 Installing multi_xml 0.6.0 Fetching httparty 0.18.1 Installing httparty 0.18.1 Fetching rspec-support 3.10.1 Installing rspec-support 3.10.1 Fetching rspec-core 3.10.1 Installing rspec-core 3.10.1 Fetching rspec-expectations 3.10.1 Installing rspec-expectations 3.10.1 Fetching rspec-mocks 3.10.1 Installing rspec-mocks 3.10.1 Fetching rspec 3.10.0 Installing rspec 3.10.0 Fetching json_spec 1.1.5 Installing json_spec 1.1.5 Fetching launchy 2.5.0 Installing launchy 2.5.0 Fetching little-plugger 1.1.4 Installing little-plugger 1.1.4 Fetching logging 2.3.0 Installing logging 2.3.0 Fetching method_source 1.0.0 Installing method_source 1.0.0 Fetching opencensus 0.5.0 Installing opencensus 0.5.0 Fetching parallel 1.20.1 Installing parallel 1.20.1 Fetching parser 2.7.2.0 Installing parser 2.7.2.0 Fetching powerpack 0.1.3 Installing powerpack 0.1.3 Fetching pry 0.13.1 Installing pry 0.13.1 Fetching pry-byebug 3.9.0 Installing pry-byebug 3.9.0 Fetching yard 0.9.26 Installing yard 0.9.26 Fetching pry-doc 0.13.5 Installing pry-doc 0.13.5 Fetching rainbow 2.2.2 Installing rainbow 2.2.2 with native extensions Fetching redcarpet 3.5.1 Installing redcarpet 3.5.1 with native extensions Fetching redis 3.3.5 Installing redis 3.3.5 Fetching rmail 1.1.4 Installing rmail 1.1.4 Fetching ruby-progressbar 1.11.0 Installing ruby-progressbar 1.11.0 Fetching unicode-display_width 1.7.0 Installing unicode-display_width 1.7.0 Fetching rubocop 0.49.1 Installing rubocop 0.49.1 Fetching webmock 2.3.2 Installing webmock 2.3.2 Bundle complete! 25 Gemfile dependencies, 81 gems now installed. Use `bundle info [gemname]` to see where a bundled gem is installed. Post-install message from i18n: HEADS UP! i18n 1.1 changed fallbacks to exclude default locale. But that may break your application. If you are upgrading your Rails application from an older version of Rails: Please check your Rails app for 'config.i18n.fallbacks = true'. If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be 'config.i18n.fallbacks = [I18n.default_locale]'. If not, fallbacks will be broken in your app by I18n 1.1.x. If you are starting a NEW Rails application, you can ignore this notice. For more info see: https://github.com/svenfuchs/i18n/releases/tag/v1.1.0 Post-install message from httparty: When you HTTParty, you must party hard! echo a | bundle exec bin/generate-api gen /workspace/generated --api=sqladmin.v1beta4 --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check Loading sqladmin, version v1beta4 from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/sqladmin.v1beta4.json conflict google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/classes.rb <v1beta4/classes.rb? (enter "h" for help) [Ynaqdhm] a force google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/classes.rb conflict google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/representations.rb force google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/representations.rb conflict google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/gem_version.rb force google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/gem_version.rb conflict google-apis-sqladmin_v1beta4/CHANGELOG.md force google-apis-sqladmin_v1beta4/CHANGELOG.md Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine. The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`. Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/. Resolving dependencies... Fetching rake 13.0.3 Installing rake 13.0.3 Using public_suffix 4.0.6 Using addressable 2.7.0 Using bundler 2.1.4 Using declarative 0.0.20 Using declarative-option 0.1.0 Using diff-lcs 1.4.4 Using faraday-net_http 1.0.1 Using multipart-post 2.1.1 Using ruby2_keywords 0.0.2 Using faraday 1.3.0 Using jwt 2.2.2 Using memoist 0.16.2 Using multi_json 1.15.0 Fetching os 1.1.1 Installing os 1.1.1 Using signet 0.14.0 Using googleauth 0.14.0 Using httpclient 2.8.3 Using mini_mime 1.0.2 Using uber 0.1.0 Using representable 3.0.4 Using retriable 3.1.2 Using rexml 3.2.4 Using google-apis-core 0.2.0 Using google-apis-sqladmin_v1beta4 0.2.0 from source at `.` Using opencensus 0.5.0 Using redcarpet 3.5.1 Using rspec-support 3.10.1 Using rspec-core 3.10.1 Using rspec-expectations 3.10.1 Using rspec-mocks 3.10.1 Using rspec 3.10.0 Using yard 0.9.26 Bundle complete! 8 Gemfile dependencies, 33 gems now installed. Use `bundle info [gemname]` to see where a bundled gem is installed. /root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb Google::Apis::SqladminV1beta4 should load Finished in 0.32031 seconds (files took 0.10423 seconds to load) 1 example, 0 failures Files: 4 Modules: 3 ( 1 undocumented) Classes: 76 ( 2 undocumented) Constants: 6 ( 0 undocumented) Attributes: 203 ( 0 undocumented) Methods: 198 ( 0 undocumented) 99.38% documented google-apis-sqladmin_v1beta4 0.2.0 built to pkg/google-apis-sqladmin_v1beta4-0.2.0.gem. conflict /workspace/api_names_out.yaml force /workspace/api_names_out.yaml 2021-01-15 03:34:07,319 synthtool [DEBUG] > Wrote metadata to generated/google-apis-sqladmin_v1beta4/synth.metadata. DEBUG:synthtool:Wrote metadata to generated/google-apis-sqladmin_v1beta4/synth.metadata. ``` </details> Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets - [ ] To automatically regenerate this PR, check this box.

view details

push time in 2 days

PR merged googleapis/google-api-ruby-client

feat: Automated regeneration of sqladmin v1beta4 client automerge cla: yes

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-15 03:33:31,197 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-sqladmin-v1beta4
nothing to commit, working tree clean
2021-01-15 03:33:31,270 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sqladmin v1beta4
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sqladmin v1beta4
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Installing concurrent-ruby 1.1.7
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching minitest 5.14.3
Installing minitest 5.14.3
Fetching tzinfo 2.0.4
Installing tzinfo 2.0.4
Fetching zeitwerk 2.4.2
Installing zeitwerk 2.4.2
Fetching activesupport 6.1.1
Installing activesupport 6.1.1
Fetching public_suffix 4.0.6
Installing public_suffix 4.0.6
Fetching addressable 2.7.0
Installing addressable 2.7.0
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.1.4
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Using sync 0.5.0
Fetching tins 1.28.0
Installing tins 1.28.0
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching rexml 3.2.4
Installing rexml 3.2.4
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching declarative 0.0.20
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Installing declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Installing fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing faraday-net_http 1.0.1
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching faraday 1.3.0
Installing faraday 1.3.0
Fetching gems 1.2.0
Installing gems 1.2.0
Fetching github-markup 1.7.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Fetching httpclient 2.8.3
Installing httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing mini_mime 1.0.2
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Installing mime-types-data 3.2020.1104
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching multi_xml 0.6.0
Installing multi_xml 0.6.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching rspec-core 3.10.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching json_spec 1.1.5
Installing json_spec 1.1.5
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching opencensus 0.5.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching parser 2.7.2.0
Installing parser 2.7.2.0
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching yard 0.9.26
Installing yard 0.9.26
Fetching pry-doc 0.13.5
Installing pry-doc 0.13.5
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Fetching rubocop 0.49.1
Installing rubocop 0.49.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=sqladmin.v1beta4 --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading sqladmin, version v1beta4 from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/sqladmin.v1beta4.json
    conflict  google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/classes.rb
<v1beta4/classes.rb? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/classes.rb
    conflict  google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/representations.rb
       force  google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/representations.rb
    conflict  google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/gem_version.rb
       force  google-apis-sqladmin_v1beta4/lib/google/apis/sqladmin_v1beta4/gem_version.rb
    conflict  google-apis-sqladmin_v1beta4/CHANGELOG.md
       force  google-apis-sqladmin_v1beta4/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 13.0.3
Installing rake 13.0.3
Using public_suffix 4.0.6
Using addressable 2.7.0
Using bundler 2.1.4
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using faraday 1.3.0
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Fetching os 1.1.1
Installing os 1.1.1
Using signet 0.14.0
Using googleauth 0.14.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using representable 3.0.4
Using retriable 3.1.2
Using rexml 3.2.4
Using google-apis-core 0.2.0
Using google-apis-sqladmin_v1beta4 0.2.0 from source at `.`
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Using yard 0.9.26
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::SqladminV1beta4
  should load

Finished in 0.32031 seconds (files took 0.10423 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:        76 (    2 undocumented)
Constants:       6 (    0 undocumented)
Attributes:    203 (    0 undocumented)
Methods:       198 (    0 undocumented)
 99.38% documented
google-apis-sqladmin_v1beta4 0.2.0 built to pkg/google-apis-sqladmin_v1beta4-0.2.0.gem.
    conflict  /workspace/api_names_out.yaml
       force  /workspace/api_names_out.yaml
2021-01-15 03:34:07,319 synthtool [DEBUG] > Wrote metadata to generated/google-apis-sqladmin_v1beta4/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-sqladmin_v1beta4/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets

  • [ ] To automatically regenerate this PR, check this box.
+21 -9

0 comment

6 changed files

yoshi-automation

pr closed time in 2 days

push eventgoogleapis/google-api-ruby-client

Omar R

commit sha 1bc1737dc11b2a430d1c9d8d848f26b7bc1ca1c1

chore: Fix README.md links for directory reorganization

view details

Daniel Azuma

commit sha a6a5b6071e6dc915a06d58524ce0c8d6f7db3598

chore: Split google-apis-core into a separate gem (#2134)

view details

Daniel Azuma

commit sha 6b972afb60e6be2f8bc5b26f72800fdf522d28a4

chore: Generator creates separate libraries (#2136)

view details

Daniel Azuma

commit sha c4230bb28783c84acf3065a10c4da174361d8bba

chore: Updates to core for initial release (#2137)

view details

Daniel Azuma

commit sha 146c765e044353d00ceb3564d8ba8e947014c5af

chore: Cleanup of separate library generation (#2138)

view details

Daniel Azuma

commit sha 388cc7b0a83a1bd752bf29f1129c5b0aa0daab62

chore: Initial generation of separate libraries (#2139)

view details

Yoshi Automation Bot

commit sha d2ed72fb53c1dba1ce6a1bf1d2c578aa79f5102a

chore: Create synth.metadata for metastore v1alpha client (#2140)

view details

Daniel Azuma

commit sha 1e2aeaeeebc48df2412096a12d32841740789ea8

chore: Update generator to set client version for headers (#2141)

view details

Daniel Azuma

commit sha abb3c968fecb1d62384b75811f20a703bcacd1e7

feat(core): Munge reported client version so backends can recognize split clients

view details

Daniel Azuma

commit sha 1cc46b843e87d7ce45c8e150598a8d6acd1cdb1c

chore: Extract generator into google-apis-generator gem (#2143)

view details

Daniel Azuma

commit sha be13e0c381f4138c6570cae136e5bb4270454579

chore: Set yardoc titles (#2144)

view details

Daniel Azuma

commit sha bd10c4b2f0a665390dec228ad754d5340f12f2ef

chore: Update releaser to handle multiple static and generated gems (#2145)

view details

Daniel Azuma

commit sha 4a8803cb227be9cdbbd651951f9a97edc7180610

chore: Rename kokoro release jobs to reduce logic (#2147)

view details

Daniel Azuma

commit sha 25546fd45bf97622b1dfbaf0b562ee8ed941c18f

fix(generator): Fix charset used in file comparison

view details

Daniel Azuma

commit sha 26a777091646be85857ee8f32d6222796982c052

chore: Move synth.metadata files to new locations

view details

Yoshi Automation Bot

commit sha 85563df3b2a6428dee444753fb1ddfb71dbdb486

feat: Automated regeneration of bigqueryreservation v1alpha2 client (#2209)

view details

Daniel Azuma

commit sha dc32a62280961a3c101bf8c5a92a37f54ab5c4b9

chore: Update release-please jobs to reference separate gems (#2146)

view details

yoshi-code-bot

commit sha d6d481ec51163a996899be46c9f475e50ebd17ba

chore: release google-apis-generator 0.1.1 (#2217)

view details

Daniel Azuma

commit sha 4c9181f8ddfc49496c1ca6c2880f580e57aa4136

chore: Attempt to fix the releaser (#2218)

view details

Daniel Azuma

commit sha b56bfff57d5a55a3cce2f3726fbc76cd6f5b7c16

chore: Another attempt to fix the releaser (#2220)

view details

push time in 2 days

PR opened googleapis/google-api-ruby-client

feat: Automated regeneration of sts v1beta client

This PR was generated using Autosynth. :rainbow:

<details><summary>Log from Synthtool</summary>

2021-01-15 03:36:20,329 synthtool [DEBUG] > Executing /home/kbuilder/.cache/synthtool/google-api-ruby-client/synth.py.
On branch autosynth-sts-v1beta
nothing to commit, working tree clean
2021-01-15 03:36:20,455 synthtool [DEBUG] > Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1beta
DEBUG:synthtool:Running: docker run --rm -v/home/kbuilder/.cache/synthtool/google-api-ruby-client:/workspace -v/var/run/docker.sock:/var/run/docker.sock -w /workspace --entrypoint script/synth.rb gcr.io/cloud-devrel-kokoro-resources/yoshi-ruby/autosynth sts v1beta
git clean -df
bundle install
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 11.3.0
Installing rake 11.3.0
Fetching concurrent-ruby 1.1.7
Installing concurrent-ruby 1.1.7
Fetching i18n 1.8.7
Installing i18n 1.8.7
Fetching minitest 5.14.3
Installing minitest 5.14.3
Fetching tzinfo 2.0.4
Installing tzinfo 2.0.4
Fetching zeitwerk 2.4.2
Installing zeitwerk 2.4.2
Fetching activesupport 6.1.1
Installing activesupport 6.1.1
Fetching public_suffix 4.0.6
Installing public_suffix 4.0.6
Fetching addressable 2.7.0
Installing addressable 2.7.0
Fetching ast 2.4.1
Installing ast 2.4.1
Using bundler 2.1.4
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
Fetching docile 1.3.5
Installing docile 1.3.5
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Using sync 0.5.0
Fetching tins 1.28.0
Installing tins 1.28.0
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching coveralls 0.8.23
Installing coveralls 0.8.23
Fetching rexml 3.2.4
Installing rexml 3.2.4
Fetching crack 0.4.5
Installing crack 0.4.5
Fetching declarative 0.0.20
Installing declarative 0.0.20
Fetching declarative-option 0.1.0
Installing declarative-option 0.1.0
Fetching diff-lcs 1.4.4
Installing diff-lcs 1.4.4
Fetching dotenv 2.7.6
Installing dotenv 2.7.6
Fetching fakefs 0.20.1
Installing fakefs 0.20.1
Fetching faraday-net_http 1.0.1
Installing faraday-net_http 1.0.1
Fetching multipart-post 2.1.1
Installing multipart-post 2.1.1
Fetching ruby2_keywords 0.0.2
Installing ruby2_keywords 0.0.2
Fetching faraday 1.3.0
Installing faraday 1.3.0
Fetching gems 1.2.0
Installing gems 1.2.0
Fetching github-markup 1.7.0
Installing github-markup 1.7.0
Fetching jwt 2.2.2
Installing jwt 2.2.2
Fetching memoist 0.16.2
Installing memoist 0.16.2
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching os 0.9.6
Installing os 0.9.6
Fetching signet 0.14.0
Installing signet 0.14.0
Fetching googleauth 0.14.0
Installing googleauth 0.14.0
Fetching httpclient 2.8.3
Installing httpclient 2.8.3
Fetching mini_mime 1.0.2
Installing mini_mime 1.0.2
Fetching uber 0.1.0
Installing uber 0.1.0
Fetching representable 3.0.4
Installing representable 3.0.4
Fetching retriable 3.1.2
Installing retriable 3.1.2
Fetching google-apis-core 0.2.0
Installing google-apis-core 0.2.0
Fetching google-apis-discovery_v1 0.1.0
Installing google-apis-discovery_v1 0.1.0
Using google-apis-generator 0.1.1 from source at `.`
Fetching google-id-token 1.4.2
Installing google-id-token 1.4.2
Fetching hashdiff 1.0.1
Installing hashdiff 1.0.1
Fetching mime-types-data 3.2020.1104
Installing mime-types-data 3.2020.1104
Fetching mime-types 3.3.1
Installing mime-types 3.3.1
Fetching multi_xml 0.6.0
Installing multi_xml 0.6.0
Fetching httparty 0.18.1
Installing httparty 0.18.1
Fetching rspec-support 3.10.1
Installing rspec-support 3.10.1
Fetching rspec-core 3.10.1
Installing rspec-core 3.10.1
Fetching rspec-expectations 3.10.1
Installing rspec-expectations 3.10.1
Fetching rspec-mocks 3.10.1
Installing rspec-mocks 3.10.1
Fetching rspec 3.10.0
Installing rspec 3.10.0
Fetching json_spec 1.1.5
Installing json_spec 1.1.5
Fetching launchy 2.5.0
Installing launchy 2.5.0
Fetching little-plugger 1.1.4
Installing little-plugger 1.1.4
Fetching logging 2.3.0
Installing logging 2.3.0
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching opencensus 0.5.0
Installing opencensus 0.5.0
Fetching parallel 1.20.1
Installing parallel 1.20.1
Fetching parser 2.7.2.0
Installing parser 2.7.2.0
Fetching powerpack 0.1.3
Installing powerpack 0.1.3
Fetching pry 0.13.1
Installing pry 0.13.1
Fetching pry-byebug 3.9.0
Installing pry-byebug 3.9.0
Fetching yard 0.9.26
Installing yard 0.9.26
Fetching pry-doc 0.13.5
Installing pry-doc 0.13.5
Fetching rainbow 2.2.2
Installing rainbow 2.2.2 with native extensions
Fetching redcarpet 3.5.1
Installing redcarpet 3.5.1 with native extensions
Fetching redis 3.3.5
Installing redis 3.3.5
Fetching rmail 1.1.4
Installing rmail 1.1.4
Fetching ruby-progressbar 1.11.0
Installing ruby-progressbar 1.11.0
Fetching unicode-display_width 1.7.0
Installing unicode-display_width 1.7.0
Fetching rubocop 0.49.1
Installing rubocop 0.49.1
Fetching webmock 2.3.2
Installing webmock 2.3.2
Bundle complete! 25 Gemfile dependencies, 81 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

If you are upgrading your Rails application from an older version of Rails:

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

If you are starting a NEW Rails application, you can ignore this notice.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from httparty:
When you HTTParty, you must party hard!
echo a | bundle exec bin/generate-api gen /workspace/generated --api=sts.v1beta --names=/workspace/api_names.yaml --names-out=/workspace/api_names_out.yaml --spot-check
Loading sts, version v1beta from https://raw.githubusercontent.com/googleapis/discovery-artifact-manager/master/discoveries/sts.v1beta.json
    conflict  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/classes.rb
<_v1beta/classes.rb? (enter "h" for help) [Ynaqdhm] a
       force  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/classes.rb
    conflict  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/gem_version.rb
       force  google-apis-sts_v1beta/lib/google/apis/sts_v1beta/gem_version.rb
    conflict  google-apis-sts_v1beta/CHANGELOG.md
       force  google-apis-sts_v1beta/CHANGELOG.md
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
The dependency jruby-openssl (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for java. To add those platforms to the bundle, run `bundle lock --add-platform java`.
Fetching gem metadata from https://rubygems.org/.........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies...
Fetching rake 13.0.3
Installing rake 13.0.3
Using public_suffix 4.0.6
Using addressable 2.7.0
Using bundler 2.1.4
Using declarative 0.0.20
Using declarative-option 0.1.0
Using diff-lcs 1.4.4
Using faraday-net_http 1.0.1
Using multipart-post 2.1.1
Using ruby2_keywords 0.0.2
Using faraday 1.3.0
Using jwt 2.2.2
Using memoist 0.16.2
Using multi_json 1.15.0
Fetching os 1.1.1
Installing os 1.1.1
Using signet 0.14.0
Using googleauth 0.14.0
Using httpclient 2.8.3
Using mini_mime 1.0.2
Using uber 0.1.0
Using representable 3.0.4
Using retriable 3.1.2
Using rexml 3.2.4
Using google-apis-core 0.2.0
Using google-apis-sts_v1beta 0.2.0 from source at `.`
Using opencensus 0.5.0
Using redcarpet 3.5.1
Using rspec-support 3.10.1
Using rspec-core 3.10.1
Using rspec-expectations 3.10.1
Using rspec-mocks 3.10.1
Using rspec 3.10.0
Using yard 0.9.26
Bundle complete! 8 Gemfile dependencies, 33 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/root/.rbenv/versions/2.6.6/bin/ruby -I/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/lib:/root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-support-3.10.1/lib /root/.rbenv/versions/2.6.6/lib/ruby/gems/2.6.0/gems/rspec-core-3.10.1/exe/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb

Google::Apis::StsV1beta
  should load

Finished in 0.25882 seconds (files took 0.10191 seconds to load)
1 example, 0 failures

Files:           4
Modules:         3 (    1 undocumented)
Classes:         3 (    0 undocumented)
Constants:       4 (    0 undocumented)
Attributes:     13 (    0 undocumented)
Methods:         6 (    0 undocumented)
 96.55% documented
google-apis-sts_v1beta 0.2.0 built to pkg/google-apis-sts_v1beta-0.2.0.gem.
   identical  /workspace/api_names_out.yaml
2021-01-15 03:36:50,100 synthtool [DEBUG] > Wrote metadata to generated/google-apis-sts_v1beta/synth.metadata.
DEBUG:synthtool:Wrote metadata to generated/google-apis-sts_v1beta/synth.metadata.

</details>

Full log will be available here: https://source.cloud.google.com/results/invocations/9be7c781-4c6f-4ca0-84df-bdff75da5a5d/targets

  • [ ] To automatically regenerate this PR, check this box.
+15 -8

0 comment

4 changed files

pr created time in 2 days

more